; #########################################################################

;     include files
include \masm32\include\windows.inc
include \masm32\include\kernel32.inc
include \masm32\include\user32.inc
include \masm32\include\gdi32.inc
include \masm32\include\comctl32.inc
include \masm32\include\comdlg32.inc
include \masm32\include\masm32.inc
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\user32.lib
includelib \masm32\lib\gdi32.lib
includelib \masm32\lib\comctl32.lib
includelib \masm32\lib\comdlg32.lib
includelib \masm32\lib\masm32.lib

OBJETIVO STRUCT
    handle_proceso  DWORD ?
    nombre_proceso  db MAX_PATH dup(?)
    idproceso       db MAX_PATH dup(?)
OBJETIVO ENDS

MODULO STRUCT
    base_modulo     DWORD ?
    tam_modulo      DWORD ?
    nombre_modulo   db MAX_PATH dup(?)
MODULO ENDS    
PE STRUCT
   nombre     db MAX_PATH dup(?)
   tv         db MAX_PATH dup(?)
   dv         db MAX_PATH dup(?)
   tr         db MAX_PATH dup(?)
   dr         db MAX_PATH dup(?)
   ca         db MAX_PATH dup(?)
PE ENDS   


DlgProc proto :HWND, :UINT, :WPARAM, :LPARAM
DlgParcheando proto :HWND, :UINT, :WPARAM, :LPARAM
DlgBuscando proto :HWND, :UINT, :WPARAM, :LPARAM
DlgEditorPE proto :HWND, :UINT, :WPARAM, :LPARAM
DlgInfoPE proto :HWND, :UINT, :WPARAM, :LPARAM
DlgVolcadorP proto :HWND, :UINT, :WPARAM, :LPARAM
Filtro proto :HWND, :UINT, :WPARAM, :LPARAM
Hex2dwordValues proto :DWORD,:DWORD
DlgDepurador proto :HWND, :UINT, :WPARAM, :LPARAM
DlgMapa proto :HWND, :UINT, :WPARAM, :LPARAM
DlgVisor proto :HWND, :UINT, :WPARAM, :LPARAM
AddTreeParentItem proto :DWORD, :DWORD 
AddTreeChildItem proto :DWORD,:DWORD,:DWORD,:DWORD

.const
  IDC_DIRECC     EQU 3001
  IDC_BYTES      EQU 3002
  IDC_CAMBIAR    EQU 3003
  IDC_ABOUT      EQU 3000
  IDD_DIALOGPAR  EQU 138
  IDC_OK         EQU 3004
  IDC_EDIT1      EQU 3100
  IDC_EXIT       EQU 2
  IDC_BUSCAR     EQU 1
  IDC_NUMBYTES   EQU 3000
  IDC_UPDOWN     EQU 3005
  IDI_ICON1      EQU 500
  IDC_ACTUALIZAR EQU 201
IDD_DIALOG       EQU 140
IDC_STATIC	     EQU -1
IDC_EXIT2  	     EQU 1003
IDC_EJECUTA      EQU 1016
IDC_STATUS       EQU 1002
IDC_FICHERO      EQU 1024
IDC_LISTBOX      EQU 1022
IDC_PARCHEAR     EQU 1023

; Dialogo buscar

IDC_MODULO             EQU    1025
IDC_LISTVIEW           EQU    150
IDC_BUSCAR_CADENA      EQU    1020
IDC_CAMBIAR_CADENA     EQU    1021
IDC_RADIO1             EQU    1026
IDC_RADIO2             EQU    1027
IDC_PROGRESS           EQU    1028
IDC_VOLCADOR           EQU    1029
IDC_RADIO3             EQU    1030
IDC_RADIO4             EQU    1031
IDC_VOLCADORP          EQU    1034
IDC_EDITORPE           EQU    1033
IDC_DEPURADOR          EQU    1032
IDC_CHECK1             EQU    1035
IDC_LIMPIAR            EQU    1036
IDC_MAPA               EQU    1037
IDC_VISOR              EQU    1038

; Dilogo volcado parcial

IDD_DIALOGVP           EQU    1001
IDC_DDDUMP              EQU    300
IDC_DFILE              EQU    301
IDC_DBROWSE            EQU    302
IDC_DPROCESSID         EQU    303
IDC_DADDRESS           EQU    304
IDC_DSIZE              EQU    305
IDC_CANCEL             EQU    306

; Dilogo de edicin de secciones

IDD_EDITORPE            EQU    1003
IDE_NAME                EQU    1200
IDE_VSIZE               EQU    1201
IDE_REVAD               EQU    1202
IDE_DS                  EQU    1203
IDE_DO                  EQU    1204
IDE_CHAR                EQU    1205
IDC_DDUMP               EQU    1208
IDC_ELIMINAR            EQU    1209

; Dialogo info secciones

IDD_INFOPE              EQU    1002
IDC_LISTV1              EQU    3000
IDC_ANADIR              EQU    1210

; Dialogo Depurador

IDD_DEPURADOR           EQU    7000
IDC_LISTBOX2            EQU    7002
IDC_LISTBOX3            EQU    7003
IDC_MODU                EQU    7100
IDC_DESENSAMBLAR        EQU    7101
IDC_LIMPI               EQU    7102
IDC_DATOS               EQU    7103
IDC_LIMP                EQU    7104
IDC_UTILIZAR            EQU    7112
IDC_UTILDATA            EQU    7113
IDC_DES                 EQU    7114
IDC_LISTO               EQU    7115

; Dialogo Mapa de memoria

IDD_MAPA                EQU    8000
IDC_LISTV2              EQU    8001
IDC_UTILMAPA            EQU    8002
IDC_IMPRIMAPA           EQU    8003
IDC_MVOL                EQU    8004

; ########################### Inserted modules ############################


.data



PRUEBA db "00000000",0
 FilterString 	   db "Archivos ejecutables ( *.exe, *.dll, *.ocx)", 0
		         db "*.exe; *.dll; *.ocx", 0, 0
  szStr              db 64 dup (0)
  StrDlg             db "TreeDlg",0
  txt1               db "Para news: es.comp.cracks 26 de Noviembre de 2000", 10, 13, 10, 13, 10, 13
		     db "               Equipo de programadores:", 10, 13, 10, 13
               	     db "  Crack el Destripador & El Alfil & Marmota", 10, 13
                     db "              &  n u M I T_o r & Avalanche", 0
  txt2               db "PUPE v3.0", 0

  richedit        db "RICHEDIT", 0
  dll_name        db "riched32.dll",0
  Col1	db "Procesos en ejecucion",0
  Col2	db "ID Proceso",0
  Col3	db "ID Modulo",0
  Col4	db "Threads",0
  Col5	db "Parent ID",0
  Col1a     db "Modulos del Proceso", 0
  Col2a     db "Direccion",0
  Col3a     db "Longitud",0
  Col1b	db "Nombre seccion",0
  Col2b	db "Tam. Virtual",0
  Col3b	db "Direc. Virtual",0
  Col4b	db "Tam. Real",0
  Col5b	db "Direc. Real",0
  Col6b     db "Caracteristicas",0
  Col2c	db "Tamao (Hex)",0
  Col3c	db "Estado",0
  Col4c	db "Proteccion",0

  template 	db "%08lX",0

  formato     db "%.2lX ",0

  szStrTerminar        db "Finalizar Proceso",0
  szStrParchear        db "Parchear",0
  szStrActualizar      db "Actualizar Lista",0
  szStrCerrar          db "Cerrar Pupe",0
  szStrBuscar          db "Caja de herramientas",0
  szStrVolcadoParcial  db "Volcado parcial", 0
  szStrCerrar_logoff   db "Cerrar Logoff",0
  szStrCerrar_shutdown db "Cerrar Shutdown",0
  szStrCerrar_reboot   db "Cerrar Reboot",0
  szStrCerrar_force    db "Cerrar Force",0
  szStrCerrar_poweroff db "Cerrar Poweroff",0
  buffin              db 20 dup (0),0
  buffout             db 20 dup (0),0
  buffleer            db 20 dup (0),0
  buffer              db 512 dup (0)
  buffinhex           db WORD
  titulo         db "PUPE 2.0a",0
  error_conv     db "Direccin incorrecta.",0 
  error_nbytes   db "Nmero de bytes incorrecto.",0
  error_lecmem   db "Error en la lectura de la memoria del proceso.",0
  error_resmem   db "Error al reservar memoria.",0
  error_cambyt   db "Bytes a cambiar incorrectos.",0
  error_escmem   db "Error al escribir en la memoria del proceso.",0


; Esto para el dilogo Buscando

  seleccione        db "Seleccione mdulo con el boton derecho del raton.",0
  mens_buscar       db "Introduzca bytes a buscar y pulse 'Localizar'.",0
  BYTES_BUSCAR      db 21 dup(0),0
  LONGITUD_BUSCAR   dd 0
  no_cadena         db "No hay ninguna cadena que buscar",0
  no_encontrada     db "No se ha encontrado la cadena",0
  ker               db "KERNEL32.DLL",0
  byte_ascii        db "0",0
  mensaje           db "Cadena localizada en %u ocasiones.",0
  no_sel            db "Debe seleccionar una localizacin.",0
  error_listbox     db "Error al acceder al ListBox.",0
  salida            db 12 dup(0)
  byte_conversion   db "00",0
  ProgressClass     db "msctls_progress32",0
  proyectado        db "Mdulo proyectado. ", 0
  msg_04            db "No se pudo cargar el proceso.", 0
  volcado           db "Se han volcado los datos al disco.",0
  reserva           db "No se ha podido reservar memoria para la proyeccion",0
  no_disponible     db "Estamos en ello..." 
                    db " Pronto estara terminado...;-)",0
  salvar_cam        db "Se han salvado los cambios", 0
  eliminada         db "Se ha eliminado la seccion.",0
  softice           db "softice presente.",0


  
;Dialogo volcador parcial

  msg_00 db 'Error al indicar el tamao!', 0 
  msg_01 db 'Error al indicar la direccin!', 0
  msg_02 db 'Error al leer en la memoria del proceso', 0

; Mapa de memoria

 rw    db "Lect/Escr",0
 na    db "N/D",0
 ro    db "Lectura",0
 libre db "Libre",0
 com   db "Usado",0
 res   db "Reservado",0

; Visor

ordinal db " ord. (%u) dir. %08X",0 

; Desensamblador

referencia db "Referencia a Datos >",0 


; #########################################################################
