          
.code
     start:

	invoke GetModuleHandle,0
      mov hInst,eax
	invoke LoadLibrary, addr dll_name
	push eax
; ---------------------------
; Iniciar dilogo principal
; ---------------------------
	invoke DialogBoxParam,hInst,10000,0,addr DlgProc,0
	invoke ExitProcess,eax
	invoke InitCommonControls

; #########################################################################
; DlgProc procedure
; #########################################################################
DlgProc proc uses edi esi ebx hDlg:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM 
local  pe32:PROCESSENTRY32, hSnapshot:DWORD, i:DWORD, hListView:DWORD, hprocess:DWORD
local lvcolumn:LV_COLUMN, lvitem:LV_ITEM, pt:POINT, hMenu:DWORD
local ProcessID:DWORD, uCode:DWORD

	mov eax,uMsg
	mov idlistview, 100
	cmp eax, WM_INITDIALOG
	jne o1

	mov eax, lParam
	cmp ax, 700
	je p0

; ----------------------------------
; To fill OPENFILENAME struct
; Llenar la estructura OPENFILENAME
; ----------------------------------
	      mov  ofn1.lStructSize, SIZEOF ofn1
	      push hDlg
	      pop  ebx
              mov  ofn1.hwndOwner, ebx
              push hInst
              pop  ofn1.hInstance
              mov  ofn1.Flags, OFN_EXPLORER or OFN_LONGNAMES or OFN_HIDEREADONLY
              mov  ofn1.lpstrTitle, 0
	      mov  ofn1.nMaxFile, 256
; ----------------------------------
; To fill MSGBOXPARAMS struct
; Llenar la estructura MSGBOXPARAMS
; ----------------------------------
		push	sizeof mbp
		push	offset mbp
		call	RtlZeroMemory

		mov	mbp.cbSize, sizeof mbp
		push	ebx	
		pop	mbp.hwndOwner
		push	hInst
		pop	mbp.hInstance
		mov	mbp.lpszText, offset txt1
		mov	mbp.lpszCaption, offset txt2
		mov	mbp.dwStyle, MB_USERICON
		mov	mbp.lpszIcon, 500
; ---------------------------
; inicializar controles
; ---------------------------
		invoke	LoadIcon, hInst, IDI_ICON1
		mov	hIcon, eax
		invoke	SendMessage, ebx, WM_SETICON, TRUE, EAX 


;***********************************************
;*
;*          ATENCION  proteccin anti softice
;*
;***********************************************
COMMENT $
  mov eax, 04fH
       int 041H
       cmp ax, 0f386H
       
        jne continua
       invoke MessageBoxA, hDlg, ADDR softice, ADDR softice, MB_OK


MOV esi, offset MessageBoxA         ;cargo en esi la direccin de messageboxa
invoke dwtoa, esi, ADDR PROBAR      ; la convierto a ascii y la guardo en probar
push 0                              ;guardo MB_OK
push offset softice                 ; guardo direccion de la cadena softice
push OFFSET PROBAR                  ; guardo direccion de la cadena de la direccion de messageboxa
PUSH hDlg                           ; guardo el handle
call esi 


$
continua:

; -------------------------------------------
; Obtener el manejador del control listview
; -------------------------------------------
p0:	invoke GetDlgItem, ebx, idlistview
	mov ebx,eax

	mov ecx,5
	mov edi,ecx

p1:	push ecx
      	dec edi
	invoke SendMessage, ebx, LVM_DELETECOLUMN, edi, 0
	pop ecx
	loop p1
      	invoke SendMessage, ebx, LVM_DELETEALLITEMS, 0, 0
	jmp p2


; ------------------
; Insertar columnas
; ------------------
p2:	mov lvcolumn.imask, LVCF_FMT+LVCF_SUBITEM+LVCF_TEXT+LVCF_WIDTH
	mov lvcolumn.fmt, LVCFMT_CENTER
	lea esi, lvcolumn

	mov lvcolumn.lx, 300
	mov lvcolumn.pszText, offset Col1
	invoke SendMessage, ebx, LVM_INSERTCOLUMN, 0, esi

	mov lvcolumn.lx, 75
	mov lvcolumn.pszText, offset Col2
	invoke SendMessage, ebx, LVM_INSERTCOLUMN, 1, esi

	mov lvcolumn.pszText, offset Col3
	invoke SendMessage, ebx, LVM_INSERTCOLUMN, 2, esi

	mov lvcolumn.pszText, offset Col4
	invoke SendMessage, ebx, LVM_INSERTCOLUMN, 3, esi

	mov lvcolumn.pszText, offset Col5
	invoke SendMessage, ebx, LVM_INSERTCOLUMN, 4, esi
; ------------------------------
; Agregar elementos al control
; -----------------------------
	; -----------------------------------------------
	; Obtener informacin sobre los procesos activos
	; -----------------------------------------------
		; ---------------
		; Primer proceso
		; ---------------
	mov i,0
      mov eax, hSnapshot
      test eax, eax
      jnz con_handle
sin_handle: 	
	invoke CreateToolhelp32Snapshot, TH32CS_SNAPPROCESS, 0
	mov hSnapshot,eax
      lea esi, pe32
      mov [esi], dword ptr sizeof pe32
	invoke Process32First, eax, esi
	test eax,eax
	je x4
      jmp r0
con_handle:
       invoke CloseHandle, hSnapshot
       jmp sin_handle  
		; ------------------------
		; Insertar primer elemento
		; ------------------------

r0:		lea esi, pe32.szExeFile
		lea edi, buffer
		call ZeroBuffer
		mov lvitem.iItem,0
		invoke lstrlen, esi
		inc eax
		invoke lstrcpyn, edi, esi, eax
		mov lvitem.imask,LVIF_TEXT	
		mov lvitem.pszText, edi
            lea esi, lvitem
		mov lvitem.iSubItem, 0	;must be 0 for inserting
		invoke SendMessage, ebx, LVM_INSERTITEM, 0, esi 
		; ------------------------------
		; Insertar siguientes elementos
		; ------------------------------
r1:		inc lvitem.iSubItem
		call ZeroBuffer
		invoke wsprintf, edi, addr template, pe32.th32ProcessID
		mov lvitem.pszText, edi
		invoke SendMessage, ebx, LVM_SETITEM, 0, esi

		inc lvitem.iSubItem
		call ZeroBuffer
		invoke wsprintf, edi, addr template, pe32.th32ModuleID
		mov lvitem.pszText, edi
		invoke SendMessage,ebx, LVM_SETITEM, 0, esi

		inc lvitem.iSubItem
		call ZeroBuffer
		invoke wsprintf, edi, addr template, pe32.cntThreads
		mov lvitem.pszText, edi
		invoke SendMessage, ebx, LVM_SETITEM, 0, esi

		inc lvitem.iSubItem
		call ZeroBuffer
		invoke wsprintf, edi, addr template, pe32.th32ParentProcessID
		mov lvitem.pszText, edi
		invoke SendMessage, ebx, LVM_SETITEM, 0, esi
	; -----------------------------
	; Obtener el siguiente proceso
	; -----------------------------
		invoke Process32Next, hSnapshot, addr pe32
		test eax,eax
		je x4
		inc lvitem.iItem
		jmp r0 

o1:		cmp eax, WM_NOTIFY
		jne o2	
		mov eax,lParam
		mov ecx, (NM_LISTVIEW ptr [eax]).hdr.code
		.if cx==NM_RCLICK
			 invoke CreatePopupMenu
		  .if eax!=0
		  ; -----------------------------------------------------
		  ; Si se cre un men, agregar el texto a los elementos
		  ; -----------------------------------------------------
		  mov ebx,eax
		  mov esi, MF_STRING or MF_ENABLED 
              
		  invoke AppendMenu,eax, esi, 203, addr szStrParchear
              invoke AppendMenu,ebx, esi, 204, addr szStrBuscar
		  invoke AppendMenu,ebx, esi, 200, addr szStrTerminar
;              invoke AppendMenu,ebx, esi, 205, addr szStrVolcadoParcial
              invoke AppendMenu,ebx, esi, 201, addr szStrActualizar			
		  invoke AppendMenu,ebx, MF_SEPARATOR, -1, NULL
		  invoke AppendMenu,ebx, esi, 202, addr szStrCerrar
              invoke AppendMenu,ebx, MF_SEPARATOR, -1, NULL
              invoke AppendMenu,ebx, esi, 206, addr szStrCerrar_logoff
              invoke AppendMenu,ebx, esi, 207, addr szStrCerrar_shutdown
              invoke AppendMenu,ebx, esi, 208, addr szStrCerrar_reboot
              invoke AppendMenu,ebx, esi, 209, addr szStrCerrar_force
              invoke AppendMenu,ebx, esi, 210, addr szStrCerrar_poweroff

		  ; -------------------------------
		  ; Obtener la posicin del cursor
		  ; -------------------------------
     		  invoke GetCursorPos, addr pt
		  ; ----------------
		  ; iniciar el men
		  ; ----------------
		  invoke TrackPopupMenu, ebx, TPM_LEFTALIGN or TPM_RIGHTBUTTON,\ 
                               pt.x, pt.y, 0, hDlg, NULL 
		  ; -----------------------
		  ; Liquidar el men
		  ; -----------------------
		  invoke DestroyMenu, esi          
		  .endif
		.endif
	
o2: 		cmp eax, WM_COMMAND
		jne z3
		mov eax,wParam

                        ; ===================
                        ; LIQUIDAR UN PROCESO
                        ; ===================

		.if ax==200
            mov guardar_ax, ax
; ----------------------------------------
; obtener el ID del proceso desde el item
; ----------------------------------------
handle_proceso:
		invoke SendDlgItemMessage, hDlg, idlistview, LVM_GETNEXTITEM, -1, LVNI_ALL or LVNI_SELECTED
		mov lvitem.iItem, eax
		mov lvitem.imask, LVIF_TEXT
		lea edi, buffer
		call ZeroBuffer
		mov lvitem.pszText, edi
		mov lvitem.cchTextMax, 9
		mov lvitem.iSubItem,1
		invoke SendDlgItemMessage, hDlg, idlistview, LVM_GETITEM, 0, addr lvitem
		invoke Hex2dwordValues, edi, addr idproc              ; convierte IDproceso a dword
            invoke lstrcpy, ADDR objeto.idproceso, ADDR buffer    ;guardamos la cadena del id
; ---------------------------------
; obtener el manejador del proceso
; ---------------------------------
		invoke OpenProcess, PROCESS_ALL_ACCESS, 0, idproc
            mov objeto.handle_proceso, eax   
            cmp guardar_ax, 204
            je seguir1
            cmp guardar_ax, 200                                      ; Terminar proceso ?
            jne parcheando                                           ; salta si no
; ----------------------
; Terminar el proceso
; ----------------------	
	      invoke GetExitCodeProcess, objeto.handle_proceso, addr uCode
		invoke TerminateProcess, objeto.handle_proceso, uCode
		invoke CloseHandle, eax
; -------------------
; Refrescar la lista
; -------------------
	      jmp  refresh
                          ; ===================
                          ; CERRAR WINDOWS 
                          ; ===================

                          ; ===================
                          ; CERRAR LOGO OFF 
                          ; ===================

; Flags para ExitWindowEx

        ; EWX_LOGOFF    equ 0
        ; EWX_SHUTDOWN  equ 1
        ; EWX_REBOOT    equ 2
        ; EWX_FORCE     equ 4
        ; EWX_POWEROFF  equ 8



		.elseif ax==206
                invoke ExitWindowsEx,0,0
                invoke ExitProcess,eax

                          ; ===================
                          ; CERRAR SHUT DOWN 
                          ; ===================

		.elseif ax==207
                invoke ExitWindowsEx,1,0
                invoke ExitProcess,eax

                          ; ===================
                          ; CERRAR REBOOT 
                          ; ===================

		.elseif ax==208
                invoke ExitWindowsEx,2,0
                invoke ExitProcess,eax

                          ; ===================
                          ; CERRAR FORCE 
                          ; ===================

		.elseif ax==209
                invoke ExitWindowsEx,4,0
                invoke ExitProcess,eax

                          ; ===================
                          ; CERRAR POWER OFF 
                          ; ===================

		.elseif ax==210
                invoke ExitWindowsEx,8,0
                invoke ExitProcess,eax
                          ; ===================
                          ; REFRESCAR LA LISTA
                          ; ===================

		.elseif ax==201
refresh:		invoke SendMessage, hDlg, WM_INITDIALOG, 0, 0

                            ; ==============
                            ; CERRAR DILOGO
                            ; ==============

		.elseif ax==202 || ax==IDCANCEL
 	      invoke SendMessage, hDlg, WM_CLOSE, 0, 0

                        ; =======================
                        ;   CAJA DE HERRAMIENTAS
                        ; =======================

	      .elseif ax==204
                mov guardar_ax, ax
                jmp obtener_nombre
   seguir:   
                jmp handle_proceso
   seguir1:
                invoke DialogBoxParam,hInst,IDD_DIALOG,hDlg,addr DlgBuscando, 0 ; llama al dialogo Buscando

                       ; ====================
                       ; PARCHEAR EL PROCESO
                       ; ====================
  
	      .elseif ax==203
            mov guardar_ax, ax
; --------------------------------------------
; obtener el nombre del proceso desde el item
; --------------------------------------------
      obtener_nombre:
		invoke SendDlgItemMessage, hDlg, idlistview, LVM_GETNEXTITEM, -1, LVNI_ALL or LVNI_SELECTED
            mov lvitem.iItem,eax 
            mov lvitem.iSubItem,0 
            mov lvitem.imask,LVIF_TEXT 
            lea eax,objeto.nombre_proceso 
            mov lvitem.pszText,eax 
            mov lvitem.cchTextMax,MAX_PATH 
		invoke SendDlgItemMessage, hDlg, idlistview, LVM_GETITEM, 0, addr lvitem
            cmp guardar_ax, 204
            je seguir
; ---------------------------------
;   Llamar al dialogo Parcheando
; ---------------------------------

           jmp handle_proceso                      ; obtener el handle
parcheando:

           invoke DialogBoxParam,hInst,IDD_DIALOGPAR,hDlg,addr DlgParcheando, 0 ; llama al dialogo Parcheando

                            ; =============== 
                            ; LOAD PROCESS
                            ; CARGAR PROCESO
                            ; ===============

	      .elseif ax==30001

              push hDlg
              pop  hMainWnd

              xor eax, eax
              push offset temp_dword
              push eax
              push eax
              push offset create_proc
              push eax
	      push eax
	      call CreateThread

                            ; ==========
                            ; ACERCA DE
                            ; ==========

		.elseif ax==IDC_ABOUT
            		push	offset mbp
		call	MessageBoxIndirect
            .endif
            jmp y5
		
z3:		cmp eax, WM_CLOSE
		jne x4
            invoke CloseHandle, hSnapshot               ; cerrar handle snapshot
            invoke CloseHandle, objeto.handle_proceso   ; cerramos el handle abierto, si lo hay 
		invoke EndDialog, hDlg, 0
		jmp y5

x4:	xor eax,eax
	ret
y5:	xor eax,eax
	inc al
        ret
DlgProc endp

create_proc:
; ----------------------------------
; To fill OPENFILENAME struct
; Llenar la estructura OPENFILENAME
; ----------------------------------
              push offset FilterString ;  ->"Modules ( *.exe, *.dll, *.ocx)"
              pop ofn1.lpstrFilter
              lea edi, buffer
              Call ZeroBuffer
              mov ofn1.lpstrFile, edi

	      push offset ofn1
	      call GetOpenFileName
	      or eax, eax
              je l0

              lea  esi, pinfo
              push esi
              	lea  esi, sui
              	push esi
              	call GetStartupInfo
              mov sui.dwFlags, STARTF_USESHOWWINDOW
              mov sui.wShowWindow, SW_SHOWMINIMIZED
              xor eax, eax
              push esi
              push eax
              push eax
              push NORMAL_PRIORITY_CLASS
              push eax
              push eax
              push eax
              push edi
              push eax
	      call CreateProcess
	      or eax, eax
              jne l0

	      push 30h
	      push offset titulo
              push offset msg_04
              push 0
              call MessageBox
              xor eax, eax
              ret

l0:           push 700
              push 0
	        push WM_INITDIALOG
              push hMainWnd
              call SendMessage

              xor eax, eax
              inc al
              ret





; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; * Funcin para gestionar los mensajes del dilogo Visor de funciones Im. *
; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgVisor proc uses edi esi ebx \
hDlg:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
local nombre_fun:DWORD, tabl_im:DWORD, dir_fun:DWORD, i:DWORD
 
.if uMsg==WM_CLOSE
   invoke EndDialog,hDlg,NULL


.elseif uMsg==WM_INITDIALOG
	; ----------------------------------
	; Get the treeview handle
	; Obtener el manejador del treeview
	; ----------------------------------
	  invoke GetDlgItem, hDlg, 100
	  mov hTreeView, eax
      ;-------------------------------------------------------------------------
      ;Localizar entradas de la tabla de importacion del encabezado opcional NT
      ;-------------------------------------------------------------------------

        call inicio_import   ;localizamos el inicio de la tabla de importacion
        push eax             ;en eax desplazamiento a la tabla de datos de las F.I.
        pop tabl_im          ;guardamos
            ;--------------------------------------
            ;Directorio de datos importados
            ;--------------------------------------
        mov ebx, dword ptr [eax] ;desplazamiento a la tabla de datos
        add ebx, puntero_pro     ;convertimos el desplazamiento a direcciones
  mas:   
        push ebx                 ;guardamos el valor
        pop nombre_fun           ;ebx apunta a inicio tabla de datos de las F.I.
                                 ;1 dword=desplazamiento a la lista de nombres de funciones
        push [ebx+16]            ;5 dword=desplazamiento a dir de funciones
        pop dir_fun              ;guardamos           
        mov eax, dword ptr [ebx+12] ;eax = 4 dword=desplazamiento al Nombre de los modulos
        add eax, puntero_pro        ;convertimos el desplazamiento a direcciones
 	  invoke AddTreeParentItem, hTreeView , eax ;insertamos al padre XDDDD
 	  mov hParentItem, eax                      ;guardamos handle
        mov i, 0                                  ;contador indice a 0
        mov eax, nombre_fun                       ;recuperamos el desplazamiento a los nombres de fun
        mov edi, dword ptr [eax]         ;otra conversion...desplazamiento>direccion                           
        add edi, puntero_pro
        mov ecx, dir_fun                 ;recuperamos el desplazamiento de las dir.
        add ecx, puntero_pro             ;convertimos a direcciones
 masmas:
        push ecx
        mov edx, dword ptr [ecx]         ;edx para la dir de la funcion
        mov esi, dword ptr [edi]         ;esi al nombre de funcion
        .if esi >080000000h              ;si pasa esto es porque es ordinal
            sub esi, 080000000h           ;le quitamos a esi el 8 y queda el ordinal
 	      invoke wsprintf,              ;montamos la cadena de salida
                    addr buffer,
                    addr ordinal,
                    esi,                 ;en esi el ordinal
                    edx                  ;en ecx tenemos la dir. de la funcion
            lea eax, buffer               ;pasamos la dir. de la cadena a eax
            jmp sigue
        .endif       
        mov eax, esi                        ;en eax la cadena con el nombre
        add eax, puntero_pro
        add eax, 2                          ;nos saltamos el ordinal de la funcion
sigue: 
        invoke AddTreeChildItem, 
                     hTreeView , 
                     hParentItem, 
                     i, 
                     eax                    ;insertamos al hijo
        add edi, 4                          ;siguiente en la tabla         
        pop ecx
        add ecx, 4                          ;igual
 
        .if dword ptr [edi] >0              ;comprovamos si ha acabado
          inc i                             ;incrementamos indice
          jmp masmas                        ;a por otra
        .endif
        
        add ebx, 20                       ;siguiente modulo
        cmp dword ptr [ebx+12], 0         ;hay algo?
        jg mas                            ;pues hala, a por mas
;--------------------------
;Cerrar dialogo
;--------------------------    

.elseif uMsg==WM_COMMAND
        mov eax,wParam        
          .if ax==2
	      invoke SendMessage, hDlg, WM_CLOSE, 0, 0
          .endif         
.else
xor	eax, eax
.endif
ret
DlgVisor endp




; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; * Funcin para gestionar los mensajes del dilogo Mapa de memoria *
; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgMapa proc uses edi esi ebx \
hDlg:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM 

local hListView:DWORD
local lvcolumn:LV_COLUMN, lvitem:LV_ITEM, pt:POINT
local hMenu:DWORD, uCode:DWORD, i:DWORD

.if uMsg==WM_CLOSE
   mov QUIEN_ME_USA, 0 
   invoke EndDialog,hDlg,NULL

.elseif uMsg==WM_INITDIALOG

	  mov ecx,4
        mov edi,ecx
     
p0:	push ecx
	; -----------------------------
      ; Limpiar el control list view
	; -----------------------------
      dec edi
	invoke SendDlgItemMessage, hDlg, IDC_LISTV2, LVM_DELETECOLUMN, edi, 0
	pop ecx
	loop p0
      invoke SendDlgItemMessage, hDlg, IDC_LISTV2, LVM_DELETEALLITEMS, 0, 0
	
      ; -------------------------------------------
      ; Obtener el manejador del control listview
      ; -------------------------------------------
p2:	invoke GetDlgItem, hDlg,IDC_LISTV2
	mov hListView,eax
      ; ------------------
      ; Insertar columnas
      ; ------------------
	mov lvcolumn.imask, LVCF_FMT+LVCF_SUBITEM+LVCF_TEXT+LVCF_WIDTH
	mov lvcolumn.fmt, LVCFMT_LEFT
	mov lvcolumn.lx, 80

	mov lvcolumn.pszText, offset Col2a
	invoke SendMessage, hListView, LVM_INSERTCOLUMN, 0, addr lvcolumn

;	mov lvcolumn.lx, 
	mov lvcolumn.pszText, offset Col2c
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 1, addr lvcolumn

	mov lvcolumn.pszText, offset Col3c
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 2, addr lvcolumn

	mov lvcolumn.pszText, offset Col4c
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 2, addr lvcolumn


      ; ------------------------------
      ; Agregar elementos al control
      ; -----------------------------
	; ------------------------------------------------------------
	; Obtener informacin sobre las paginas de memoria del proceso
	; ------------------------------------------------------------
	; ---------------
	; Primer Bloque
	; ---------------
	mov i,0
      xor ebx, ebx


		; ------------------------
		; Insertar primer elemento
		; ------------------------
		mov lvitem.iItem,0
r0:
            invoke VirtualQueryEx, objeto.handle_proceso, ebx, ADDR mbi, sizeof mbi ; 01Ch
            cmp eax, 01Ch
            jnz fin	
		lea edi, buffer
		call ZeroBuffer
		invoke wsprintf, edi, addr template, mbi.BaseAddress

		mov lvitem.imask,LVIF_TEXT	
		mov lvitem.pszText, edi

		mov lvitem.iSubItem, 0	;must be 0 for inserting
		invoke SendMessage, hListView, LVM_INSERTITEM, 0, addr lvitem
		; ------------------------------
		; Insertar siguientes elementos
		; ------------------------------
r1:		inc lvitem.iSubItem
		call ZeroBuffer
		invoke wsprintf, edi, addr template, mbi.RegionSize
		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem

		inc lvitem.iSubItem
		call ZeroBuffer

            .if mbi.Protect==0
 		invoke wsprintf, edi, addr na
            .elseif mbi.Protect==1
 		invoke wsprintf, edi, addr na
            .elseif mbi.Protect==2
 		invoke wsprintf, edi, addr ro
            .elseif mbi.Protect==4
 		invoke wsprintf, edi, addr rw
            .endif 

		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem

		inc lvitem.iSubItem
		call ZeroBuffer

            .if mbi.State==01000h
 		invoke wsprintf, edi, addr com
            .elseif mbi.State==02000h
 		invoke wsprintf, edi, addr res
            .elseif mbi.State==010000h
 		invoke wsprintf, edi, addr libre
            .endif

		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem

            add ebx, mbi.RegionSize
		inc lvitem.iItem             
		jmp r0 
fin:
            invoke GetDlgItem, hDlg,                        ;capturamos handle boton volcar
                        IDC_MVOL
            invoke EnableWindow, eax, FALSE                 ;y lo desactivamos
            invoke GetDlgItem, hDlg,                        ;capturamos handle boton imprimir
                        IDC_IMPRIMAPA
            invoke EnableWindow, eax, FALSE                 ;y lo desactivamos
            invoke GetDlgItem, hDlg,                        ;capturamos handle boton exportar
                        IDC_UTILMAPA   
            invoke EnableWindow, eax, FALSE                 ;y lo desactivamos

.elseif uMsg==WM_COMMAND
        mov eax,wParam        

                     ;==============================
                     ; Exportar bloque
                     ;==============================
        
          .if ax==IDC_UTILMAPA
                     invoke GlobalAlloc,NULL, blocktam        ; Reservamos espacio
                     test eax, eax
                     jz error_reserva
                     mov puntero_prob, eax                     ; Guardar puntero proyeccion
                     mov esi, blockdir                        ; direccion base del bloque a esi
                     mov edi, puntero_prob                     ; direccion base de la proyeccion a edi
                     pusha                          ; Guardar registros
                     invoke ReadProcessMemory,
                             objeto.handle_proceso, ;leemos el bloque de golpe
                             esi,                
                             puntero_prob,           ;se escribe en espacio proyeccion
                             blocktam,
                             NULL
                     test eax, eax
                     jz error_memoria
                     popa                           ; Restaurar registros
                     jmp terminado

                     ;==============================
                     ; Imprimir bloque
                     ;============================== 

          .elseif ax==IDC_IMPRIMAPA
             invoke MessageBox, hDlg, ADDR no_disponible, ADDR txt2, MB_OK

                     ;==============================
                     ; Volcar bloque
                     ;==============================

          .elseif ax==IDC_MVOL
                     invoke GlobalAlloc,NULL, blocktam         ; Reservamos espacio
                     test eax, eax
                     jz error_reserva
                     mov puntero_prob, eax                     ; Guardar puntero proyeccion
                     pusha                                     ; Guardar registros
                     invoke ReadProcessMemory,
                             objeto.handle_proceso,            ;leemos el bloque de golpe
                             blockdir,                
                             puntero_prob,                     ;se escribe en espacio proyeccion
                             blocktam,
                             NULL
                     test eax, eax
                     jz error_memoria
                     popa                                      ; Restaurar registros
   
          
    ;-------------------------------------------
    ;    Inicializar la estructura OPENFILENAME 
    ;-------------------------------------------
         lea edi, buffer
         call ZeroBuffer
         mov  ofn1.lStructSize,SIZEOF ofn1 
         push hDlg 
         pop  ofn1.hwndOwner 
         push hInst 
         pop  ofn1.hInstance 
         mov  ofn1.lpstrFilter, OFFSET FilterString 
         mov  ofn1.lpstrFile, OFFSET buffer 
         mov  ofn1.nMaxFile,256
         mov  ofn1.Flags,OFN_LONGNAMES or\ 
                OFN_EXPLORER or OFN_HIDEREADONLY 
        invoke GetSaveFileName, ADDR ofn1
               .if eax==TRUE 
                        invoke CreateFile,ADDR buffer,\ 
                                                GENERIC_READ or GENERIC_WRITE ,\ 
                                                FILE_SHARE_READ or FILE_SHARE_WRITE,\ 
                                                NULL,CREATE_NEW,FILE_ATTRIBUTE_ARCHIVE,\ 
                                                NULL 
                        mov fhandle,eax

                        invoke WriteFile,
                                       fhandle,
                                       puntero_prob,
                                       blocktam,
                                       ADDR buffer,
                                       NULL
                    
                        invoke CloseHandle, fhandle
                        invoke GlobalFree, puntero_prob
                        invoke SetDlgItemText,
                                         hDlg,
                                         IDC_STATUS,
                                         ADDR volcado
                        invoke MessageBox, hDlg, ADDR volcado, ADDR txt2 ,MB_ICONINFORMATION
               .elseif eax==FALSE
                        
               .endif
          
          .endif
                      
.elseif uMsg==WM_NOTIFY      ; Aqui vigilo si se selecciona algun Item
                             ; para capturar sus datos


     		mov esi,lParam
		mov ecx, (NM_LISTVIEW ptr [esi]).hdr.code
		.if cx==NM_RCLICK

           mov lvitem.cchTextMax, MAX_PATH
           mov lvitem.pszText, offset buffer
           mov lvitem.iSubItem, 0
           invoke SendDlgItemMessage, hDlg,              ; Pillo direccion del modulo
                                      IDC_LISTV2, 
                                      LVM_GETITEMTEXT,
                                      (NMLISTVIEW ptr [esi]).iItem,
                                      ADDR lvitem
           test eax, eax
           jz error

           invoke Hex2dwordValues, ADDR buffer, ADDR blockdir

           inc lvitem.iSubItem
           invoke SendDlgItemMessage, hDlg, 
                                      IDC_LISTV2,      
                                      LVM_GETITEMTEXT,
                                      (NMLISTVIEW ptr [esi]).iItem,
                                      ADDR lvitem

            invoke Hex2dwordValues, ADDR buffer, ADDR blocktam 
            invoke GetDlgItem, hDlg,                        ;capturamos handle boton volcar
                              IDC_MVOL
            invoke EnableWindow, eax, TRUE                  ;y lo activamos
            invoke GetDlgItem, hDlg,                        ;capturamos handle boton imprimir
                              IDC_IMPRIMAPA
            invoke EnableWindow, eax, TRUE                  ;y lo activamos

              .if QUIEN_ME_USA > 0
                   invoke GetDlgItem, hDlg,                        ;capturamos handle boton
                             IDC_UTILMAPA
                   invoke EnableWindow, eax, TRUE                  ;y lo desactivamos

              .endif

           .endif
 
; ######################################################
; OJO!:
; Terminar as todos los procedimientos de dilogo
; ######################################################
.else
	; ----------------------------------------------
	; Devolver FALSE si no se procesa ningn mensaje
	; ----------------------------------------------
	xor eax, eax
        ret                           
.endif
 
               
jmp error                                       
error_reserva:
               invoke MessageBox, hDlg, ADDR reserva, ADDR titulo, MB_OK        
               ret
error_memoria:
               invoke MessageBox,hDlg,ADDR error_lecmem, ADDR titulo, MB_OK
               ret
terminado: 
    
               invoke EndDialog,hDlg,NULL
               



error:
	; ---------------------------
	; Devolver TRUE si se procesa
	; ---------------------------
mov eax, 1
ret

; ######################################################   
DlgMapa endp


; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; ****** Funcin para gestionar los mensajes del dilogo InfoPE *********
; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgInfoPE proc uses edi esi ebx \
hDlg:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM

local i:DWORD, hListView:DWORD
local lvcolumn:LV_COLUMN, lvitem:LV_ITEM, pt:POINT, hMenu:DWORD

.if uMsg==WM_CLOSE
        invoke EndDialog,hDlg,NULL

.elseif uMsg==WM_INITDIALOG
	mov ecx,6
        mov edi,ecx    
p0:	push ecx
	; -----------------------------
      ; Limpiar el control list view
	; -----------------------------
        dec edi
	invoke SendDlgItemMessage, hDlg, IDC_LISTV1, LVM_DELETECOLUMN, edi, 0
	pop ecx
	loop p0
      invoke SendDlgItemMessage, hDlg, IDC_LISTV1, LVM_DELETEALLITEMS, 0, 0
	
      ; -------------------------------------------
      ; Obtener el manejador del control listview
      ; -------------------------------------------
p2:	invoke GetDlgItem, hDlg,IDC_LISTV1
	mov hListView,eax
      ; ------------------
      ; Insertar columnas
      ; ------------------
	mov lvcolumn.imask, LVCF_FMT+LVCF_SUBITEM+LVCF_TEXT+LVCF_WIDTH
	mov lvcolumn.fmt, LVCFMT_CENTER

	mov lvcolumn.lx, 90
	mov lvcolumn.pszText, offset Col1b
	invoke SendMessage, hListView, LVM_INSERTCOLUMN, 0, addr lvcolumn

	mov lvcolumn.pszText, offset Col2b
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 1, addr lvcolumn

	mov lvcolumn.pszText, offset Col3b
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 2, addr lvcolumn

	mov lvcolumn.pszText, offset Col4b
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 3, addr lvcolumn

	mov lvcolumn.pszText, offset Col5b
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 4, addr lvcolumn

	mov lvcolumn.pszText, offset Col6b
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 5, addr lvcolumn

      ; ------------------------------
      ; Agregar elementos al control
      ; -----------------------------
	; --------------------------------------------------
	; Obtener informacin sobre el Encabezado PE
	; --------------------------------------------------
            call inicio_tablas
		; ------------------------
		; Insertar primer elemento
		; ------------------------

		mov esi, inicio_sec
		mov lvitem.iItem,0
r0:    
            call comprobar_tabla
            cmp eax, 0
            je fin	
	      lea edi, buffer
		call ZeroBuffer
		invoke lstrlen, esi
		inc eax
		invoke lstrcpyn, edi, esi, eax
		mov lvitem.imask,LVIF_TEXT	
		mov lvitem.pszText, edi

		mov lvitem.iSubItem, 0	;must be 0 for inserting
		invoke SendMessage, hListView, LVM_INSERTITEM, 0, addr lvitem
		; ------------------------------
		; Insertar siguientes elementos
		; ------------------------------

r1:		inc lvitem.iSubItem
		call ZeroBuffer
            add esi, 8
            mov edx,[esi]
		invoke wsprintf, edi, addr template, edx
		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem
            mov ebx,3

r2:		inc lvitem.iSubItem
		call ZeroBuffer
            	add esi, 4
            	mov edx,[esi]
		invoke wsprintf, edi, addr template, edx
		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem
            	dec ebx
            	test ebx, ebx
            	jnz r2
            	inc lvitem.iSubItem
		call ZeroBuffer
            	add esi, 16
            	mov edx,[esi]
		invoke wsprintf, edi, addr template, edx
		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem

            mov esi, inicio_sec
		inc lvitem.iItem
		jmp r0

.elseif uMsg==WM_COMMAND
        mov eax,wParam        
          .if ax==IDC_ANADIR
             invoke MessageBox, hDlg, ADDR no_disponible, ADDR txt2, MB_OK
          .endif

.elseif uMsg==WM_NOTIFY      ; Aqui vigilo si se selecciona alguna seccion
                             ; para capturar sus datos
     		mov esi,lParam
		mov ecx, (NM_LISTVIEW ptr [esi]).hdr.code
		.if cx==NM_RCLICK

           invoke RtlZeroMemory, ADDR buffer, 256         
           mov lvitem.cchTextMax, MAX_PATH
           mov lvitem.pszText, offset buffer
           mov lvitem.iSubItem, 0
           invoke SendDlgItemMessage, hDlg,              ; Pillo direccion del modulo
                                      IDC_LISTV1, 
                                      LVM_GETITEMTEXT,
                                      (NMLISTVIEW ptr [esi]).iItem,
                                      ADDR lvitem

            mov edi, offset tabla
           invoke lstrcpyn, edi,            ; copio la cadena
                           ADDR buffer, 9
           mov ebx, offset pe.nombre
           add edi, 8
           mov ecx, 6
a2:        pusha
           invoke lstrcpyn, ebx,            ; copio la cadena
                           ADDR buffer, 9

           inc lvitem.iSubItem
           invoke SendDlgItemMessage, hDlg, 
                                      IDC_LISTV1,      
                                      LVM_GETITEMTEXT,
                                      (NMLISTVIEW ptr [esi]).iItem,
                                      ADDR lvitem

           invoke Hex2dwordValues, ADDR buffer, edi       ;convertimos las cadenas a dwords
           popa 
           add edi, 4                          
           add ebx, MAX_PATH
           loop a2

       invoke DialogBoxParam,hInst,IDD_EDITORPE,hDlg, offset DlgEditorPE, 0 ; llama al InfoPE
       invoke SendMessage, hDlg, WM_INITDIALOG, 0, 700
    .endif
error:
fin:
  mov nueva_sec, esi
.else
    xor eax, eax
    ret
.endif
xor eax, eax
inc al
ret
DlgInfoPE endp



; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; ****** Funcin para gestionar los mensajes del dilogo EditorPE *******
; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgEditorPE proc uses edi esi ebx \
hDlg:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
local _temp_:DWORD

.if uMsg==WM_CLOSE
   invoke EndDialog,hDlg,NULL
   
 .elseif uMsg==WM_INITDIALOG
;-----------------------
;subclasificar controles
;-----------------------
     invoke GetDlgItem, hDlg, IDE_VSIZE              ; Pillo handle 
     push eax
     invoke GetWindowLong, eax,
                            GWL_WNDPROC              ; Pillo WNDPROC actual del edit
     mov wndproc, eax                                ; y lo guardo
     pop eax
     invoke SetWindowLong, eax,
                          GWL_WNDPROC,               ; Engancho el filtro
                          ADDR Filtro
     mov ecx, 4
     mov ebx, IDE_REVAD
a1:  pusha
     invoke GetDlgItem, hDlg, ebx              ; Pillo handle 
     invoke SetWindowLong, eax,
                          GWL_WNDPROC,               ; Engancho el filtro
                          ADDR Filtro
                          popa
                          inc ebx
                          loop a1

  ;----------------------
  ;Presentar cadenas
  ;----------------------
  mov ecx, 6
  mov ebx, IDE_NAME
  mov edi, offset pe.nombre
 a3: push ecx
   invoke SetDlgItemText, hDlg,                     ;presentamos los datos
                           ebx,
                           edi
                           pop ecx
                           inc ebx
                           add edi, MAX_PATH
                           loop a3

  ;  invoke GetDlgItemText,hDlg,IDE_NAME,ADDR BYTES_BUSCAR, 21 ;cargamos el nombre de la seccion
                                                                   ;antes de que lo editen



    mov LONGITUD_BUSCAR, 20           ; colocamos el resultado en longitud_buscar
	; --------------------------------------------------
	; Obtener informacin sobre el Encabezado PE
	; --------------------------------------------------
              call inicio_tablas
              ;-----------------------------------------------
              ;localizamos la seccion editada
              ;-----------------------------------------------

             mov eax, LONGITUD_BUSCAR
             test eax, eax
             je error_cadena
             mov ebx,  2048          ; contador
comenzamos:
             mov esi, ini_tablas               ; esi, direccion de inicio
             xor eax,eax
busca_inicio:
             mov edi, offset tabla  
             mov al, byte ptr [edi]    
             mov edx, LONGITUD_BUSCAR
         cmp al, byte ptr [esi]                   ;comparamos bytes
         je encontrado
         inc esi
         dec ebx
         test ebx, ebx
         jz fin_busca
         jmp busca_inicio
         
encontrado:
         push ebx                  ; guardamos contador
         push esi                  ; y direccion
seguimos:
         inc edi                   ; siguiente byte de la cadena
         mov al, byte ptr [edi]    ; lo cargamos en al
         dec ebx
         test ebx, ebx
         jz fin_busca
         inc esi
         dec edx
         test edx,edx
         jz encontrada
         cmp al, byte ptr [esi]     ;comparamos bytes
         jne restaurar
         jmp seguimos
restaurar:
         pop esi                         ;restauramos los valores del contador y direccion
         pop ebx
         add esi, 1                      ; sumamos 1 para seguir en la siguiente posicion
         sub ebx, 1
         mov edx, LONGITUD_BUSCAR
         jmp busca_inicio
encontrada:
          pop esi
          pop ebx
          mov inicio_sec, esi

 .elseif uMsg==WM_COMMAND
        mov eax,wParam
          .if ax==IDCANCEL          
             invoke SendMessage,hDlg,WM_CLOSE,0,0
             ;-----------------------
             ;Eliminando...
             ;------------------------
          .elseif ax==IDC_ELIMINAR
          
           mov esi, inicio_sec
           
                 ;---------------------------------
                 ;Eliminar cadenas de los controles
                 ;---------------------------------
           mov ecx, 6
           mov ebx, IDE_NAME

 a7: 
   pusha                          
   invoke SetDlgItemText, hDlg,                     ;inicializar controles
                           ebx,
                           NULL
                           popa
                           inc ebx
                           loop a7

                  ;------------------------
                  ; Es la ultima seccion?
                  ;------------------------
            mov esi, inicio_sec      
comprobar:  add esi, 40             ;comprobamos si existen mas secciones
            invoke lstrlen, esi     ;si hay cadena longitud?
            cmp eax, 10              ;mas de 8 no vale
            jg fin1 
            mov ebx, [esi]          ;menor de 8 hay algo?
            cmp ebx, 0
            jz fin1                 ;no hay nada, terminar.
                     ;--------------------
                     ;Mover secciones
                     ;--------------------
                         ;--------------------
                         ;En nuestro contexto
                         ;--------------------
            mov ebx, esi
            sub ebx, 40
            mov ecx, 40
a8:         mov al, byte ptr [esi]
            mov byte ptr [ebx], al
            inc esi
            inc ebx
            loop a8     
                         ;--------------------------
                         ;En el contexto del proceso
                         ;--------------------------
            pusha   
            sub esi, 40
            sub ebx, 40
                        
           add ebx, modu.base_modulo ; obtenemos la direccion en el proceso
           sub ebx, puntero_pro

           mov  edi, objeto.handle_proceso
	   invoke VirtualProtectEx, edi, ebx, 40, 40h, addr _temp_
           invoke WriteProcessMemory, edi, ebx, esi, 40, 0
           test eax, eax
           jz error_escmemoria 
	   mov  ecx, _temp_
	   invoke VirtualProtectEx, edi, ebx, 40, ecx, addr _temp_
	   
           popa
           sub esi, 40
           jmp comprobar
                       ;------------------------
                       ;eliminar ultima seccion
                       ;-----------------------
fin1:      sub esi, 40
           invoke RtlZeroMemory, esi, 40
           mov ebx, esi
           add ebx, modu.base_modulo ; obtenemos la direccion en el proceso
           sub ebx, puntero_pro
           pusha
           mov  edi, objeto.handle_proceso
	   invoke VirtualProtectEx, edi, ebx, 40, 40h, addr _temp_
           invoke WriteProcessMemory, edi, ebx, esi, 40, 0
           test eax, eax
           jz error_escmemoria 
	   mov  ecx, _temp_
	   invoke VirtualProtectEx, edi, ebx, 40, ecx, addr _temp_
           popa
           
      invoke MessageBox,hDlg,ADDR eliminada, ADDR titulo, MB_OK
  	invoke SendMessage, hDlg, WM_CLOSE, 0, 0
   
             ;----------------------------
             ;Salvar cambios
             ;----------------------------
                       
          .elseif ax==IDOK
  
           mov esi, inicio_sec
;-------------------------------
;escribir en nuestro contexto
;-------------------------------
          mov ecx, 6
          mov ebx, IDE_NAME
          mov edi, offset pe.nombre
 a4:      pusha  
          invoke GetDlgItemText,hDlg, ebx, edi,MAX_PATH

                           popa
                           inc ebx
                           add edi, MAX_PATH
                           loop a4

    invoke Hex2dwordValues, ADDR pe.tv, ADDR tv       ;convertimos las cadenas a dwords
    invoke Hex2dwordValues, ADDR pe.dv, ADDR dv
    invoke Hex2dwordValues, ADDR pe.tr, ADDR tr
    invoke Hex2dwordValues, ADDR pe.dr, ADDR dr
    invoke Hex2dwordValues, ADDR pe.ca, ADDR ca
  
          invoke lstrcpy, esi,  ; copiamos la cadena con el nombre
                 ADDR pe.nombre
          .if pe.nombre==0
          invoke RtlZeroMemory, esi, 8
          .endif                
          add esi, 8            ;movemos datos de las secciones
          mov edi, tv
          mov [esi], edi
          add esi, 4
          mov edi, dv
          mov [esi], edi
          add esi, 4
          mov edi, tr
          mov [esi], edi
          add esi, 4
          mov edi, dr
          mov [esi], edi
          add esi, 16
          mov edi, ca
          mov [esi], edi
;------------------------------------
;escribir en el contexto del proceso
;------------------------------------
           sub esi, 36           ; restauramos esi a inicio seccion en la proyeccion
           mov ebx, esi          
           add ebx, modu.base_modulo ; obtenemos la direccion en el proceso
           sub ebx, puntero_pro
           pusha
           mov  edi, objeto.handle_proceso
	   invoke VirtualProtectEx, edi, ebx, 40, 40h, addr _temp_
           invoke WriteProcessMemory, edi, ebx, esi, 40, 0
           test eax, eax
           jz error_escmemoria 
	   mov  ecx, _temp_
	   invoke VirtualProtectEx, edi, ebx, 40, ecx, addr _temp_
           popa
           invoke MessageBox,hDlg,ADDR salvar_cam, ADDR titulo, MB_OK                                     
           jmp fin_busca
 
error_escmemoria:
             invoke MessageBox,hDlg,ADDR error_escmem, ADDR titulo, MB_OK
             jmp fin_busca
error_cadena:
             invoke MessageBox,hDlg,ADDR no_cadena,ADDR titulo, MB_OK
fin_busca:

;---------------------------
; Volcar seccion
;---------------------------
          .elseif ax==IDC_DDUMP

    ;-------------------------------------------
    ;    Inicializar la estructura OPENFILENAME 
    ;-------------------------------------------
         lea edi, buffer
         call ZeroBuffer
         mov  ofn1.lStructSize,SIZEOF ofn1 
         push hDlg 
         pop  ofn1.hwndOwner 
         push hInst 
         pop  ofn1.hInstance 
         mov  ofn1.lpstrFilter, OFFSET FilterString 
         mov  ofn1.lpstrFile, OFFSET buffer 
         mov  ofn1.nMaxFile,256
         mov  ofn1.Flags,OFN_LONGNAMES or\ 
                OFN_EXPLORER or OFN_HIDEREADONLY 
        invoke GetSaveFileName, ADDR ofn1
               .if eax==TRUE 
                        invoke CreateFile,ADDR buffer,\ 
                                                GENERIC_READ or GENERIC_WRITE ,\ 
                                                FILE_SHARE_READ or FILE_SHARE_WRITE,\ 
                                                NULL,CREATE_NEW,FILE_ATTRIBUTE_ARCHIVE,\ 
                                                NULL 
                        mov fhandle,eax
                        mov esi, inicio_sec
                        mov edi, dword ptr [esi+8]
                        mov eax, dword ptr [esi+12]
                        add eax, puntero_pro 
                        
                        invoke WriteFile,
                                       fhandle,
                                       eax,
                                       edi,
                                       ADDR buffer,
                                       NULL
                    
                        invoke CloseHandle,fhandle
                        invoke SetDlgItemText,
                                         hDlg,
                                         IDC_STATUS,
                                         ADDR volcado
                        invoke MessageBox, hDlg, ADDR volcado, ADDR txt2 ,MB_ICONINFORMATION
               .elseif eax==FALSE
                        
               .endif

          .endif
.else
	xor	eax, eax
	ret
.endif
xor	eax, eax
inc	al
ret
DlgEditorPE endp


; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; *** Funcin para gestionar los mensajes del dilogo Volcador Parcial ***
; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgVolcadorP proc hDlg:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD

.if uMsg==WM_CLOSE
   invoke EndDialog,hDlg,NULL

.elseif uMsg==WM_INITDIALOG
      invoke SetDlgItemText, 
             hDlg,                     ; pone en el control el nombre del proceso
             IDC_DFILE,               
             ADDR objeto.nombre_proceso
      invoke SetDlgItemText, 
             hDlg,                     ; pone en el control el nombre del proceso
             IDC_DPROCESSID,               
             ADDR objeto.idproceso

 invoke GetDlgItem, hDlg, IDC_DADDRESS              ; Pillo handle de direccion
    push eax
     invoke GetWindowLong, eax,
                            GWL_WNDPROC              ; Pillo WNDPROC actual del edit
     mov wndproc, eax                                ; y lo guardo
    pop eax
     invoke SetWindowLong, eax,
                          GWL_WNDPROC,               ; Engancho el filtro
                          ADDR Filtro

    invoke GetDlgItem, hDlg, IDC_DSIZE            ; Pillo handle de tamao:
    invoke SetWindowLong, eax,
                          GWL_WNDPROC,               ; Engancho el filtro
                          ADDR Filtro

  .elseif uMsg==WM_COMMAND
         mov eax,wParam
                .if eax==IDC_CANCEL
                	invoke SendMessage, hDlg, WM_CLOSE, 0, 0
	          .elseif eax==IDC_DDDUMP
			mov ecx, 2
			; -----------------
			; get the size
			; obtener el tamao
			; -----------------
                        mov edx, IDC_DSIZE
@a00:			push ecx
			invoke GetDlgItemText, hDlg, edx, addr buffer, 256
				test eax, eax
                        	jne @a01
			pop ecx
			.if ecx==2
				lea edx, msg_00
			.else
				lea edx, msg_01
			.endif
	                   	invoke MessageBox, hDlg, edx, addr titulo, 30h
			ret

@a01:			pop  ecx
                        push ecx
                        .if ecx==2
                        invoke Hex2dwordValues, addr buffer, ADDR tamano
                        mov eax, tamano
                        cmp eax, modu.tam_modulo
                           .if eax > modu.tam_modulo
                        	invoke MessageBox, hDlg, ADDR msg_00, addr titulo, 30h
                              ret
                           .endif                            
			      .else
				invoke Hex2dwordValues, addr buffer, ADDR direccion
                        mov eax, direccion
                        mov ebx, modu.tam_modulo
                        add ebx, eax
                           .if (eax < modu.base_modulo) || (eax > ebx)
                        	invoke MessageBox, hDlg, ADDR msg_01, addr titulo, 30h
                              ret 
                           .endif
			      .endif
			; -------------------
			; get the address
			; obtener la direcin
			; -------------------
			mov  edx, IDC_DADDRESS
			pop  ecx
                  dec ecx
                  test ecx, ecx
                  jnz @a00

		; ----------------
		; Crear el archivo
		; ----------------
         lea edi, buffer
         call ZeroBuffer
         mov  ofn1.lStructSize,SIZEOF ofn1 
         push hDlg 
         pop  ofn1.hwndOwner 
         push hInst 
         pop  ofn1.hInstance 
         mov  ofn1.lpstrFilter, OFFSET FilterString 
         mov  ofn1.lpstrFile, OFFSET buffer 
         mov  ofn1.nMaxFile,256
         mov  ofn1.Flags,OFN_LONGNAMES or\ 
                OFN_EXPLORER or OFN_HIDEREADONLY 
         invoke GetSaveFileName, ADDR ofn1
               .if eax==TRUE 
                        invoke CreateFile,ADDR buffer,\ 
                                                GENERIC_READ or GENERIC_WRITE ,\ 
                                                FILE_SHARE_READ or FILE_SHARE_WRITE,\ 
                                                NULL,CREATE_NEW,FILE_ATTRIBUTE_ARCHIVE,\ 
                                                NULL 
                        mov fhandle,eax
                        mov eax, direccion
                        add eax, puntero_pro
                        sub eax, modu.base_modulo 
                        invoke WriteFile,
                                       fhandle,
                                       eax,
                                       tamano,
                                       ADDR buffer,
                                       NULL
                    
                        invoke CloseHandle,fhandle
                        invoke SetDlgItemText,
                                         hDlg,
                                         IDC_STATUS,
                                         ADDR volcado
                        invoke MessageBox, hDlg, ADDR volcado, ADDR txt2 ,MB_ICONINFORMATION
               .endif
           .endif
.else
    xor eax, eax
    ret
.endif
xor eax, eax
inc al
ret
DlgVolcadorP endp


; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; ***** Funcin para gestionar los mensajes del dilogo Parcheando *****
; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgParcheando proc hDlg:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD
local  puntero: DWORD, nbytes: DWORD, _temp_:DWORD

.if uMsg==WM_CLOSE
   invoke EndDialog,hDlg,nResult
   
.elseif uMsg==WM_INITDIALOG
    cmp direccion, 0
    je continuar
    invoke SetDlgItemText, hDlg,
                           IDC_DIRECC,
                           ADDR salida
continuar:

    invoke SetDlgItemText, hDlg,                     ; pone en el control el nombre del proceso
                           IDC_EDIT1,               
                           ADDR objeto.nombre_proceso
           
    invoke SendDlgItemMessage, hDlg, IDC_DIRECC, EM_SETLIMITTEXT, 8, 0      ; Lmite de bytes
    invoke SendDlgItemMessage, hDlg, IDC_UPDOWN, UDM_SETRANGE, 0, 00FF0001h ; Rango del UP/DOWN
    invoke SendDlgItemMessage, hDlg, IDC_UPDOWN, UDM_SETPOS, 0, 1           ; Inicializo UP/DOWN a 1

    invoke GetDlgItem, hDlg, IDC_DIRECC              ; Pillo handle de direccion

    push eax
     invoke GetWindowLong, eax,
                            GWL_WNDPROC              ; Pillo WNDPROC actual del edit
     mov wndproc, eax                                ; y lo guardo
    pop eax
     invoke SetWindowLong, eax,
                          GWL_WNDPROC,               ; Engancho el filtro
                          ADDR Filtro

    invoke GetDlgItem, hDlg, IDC_CAMBIAR             ; Pillo handle de Cambiar por:
    invoke SetWindowLong, eax,
                          GWL_WNDPROC,               ; Engancho el filtro
                          ADDR Filtro

.elseif uMsg==WM_COMMAND
        mov eax,wParam
        mov edx,eax
        shr edx,16

        .if dx==BN_CLICKED
                 .if ax==IDC_EXIT
                     invoke SendMessage,hDlg,WM_CLOSE,0,0

                 .elseif ax==IDC_BUSCAR     ; Leo la memoria del proceso
iniciar:             mov guardar_ax, ax
                     invoke GetDlgItemText, hDlg, IDC_DIRECC, ADDR buffer, 255                     
                     test eax, eax
                     jz error_conversion
                     cmp  eax, 8            ; Compruebo que no he captura ms de 8 bytes
                     ja error_conversion
                     push eax
                     invoke CharUpperBuff, ADDR buffer, eax  ; Paso a maysculas
                     invoke SetDlgItemText,hDlg,IDC_DIRECC,ADDR buffer  ; y la presenta
                     pop ecx
                     xor eax, eax
                     mov direccion, eax
                     cld
                     mov esi, offset buffer
bucle:               lodsb               ; Este bucle comprueba los caracteres introducidos
                     cmp al, 30h         ; '0'
                     jb error_conversion
                     cmp al, 46h         ; 'F'
                     ja error_conversion
                     cmp al, 40h         ; '@'
                     ja bucle_loop
                     cmp al, 39h         ; '9'
                     ja error_conversion
bucle_loop:          loop bucle                     
                     invoke Hex2dwordValues, ADDR buffer, ADDR direccion
                     invoke GetDlgItemInt, hDlg, IDC_NUMBYTES, NULL, FALSE
                     test eax, eax
                     jz error_numbytes  ; Compruebo que el nmerode bytes es correcto
                     mov nbytes, eax
                     cmp word ptr guardar_ax, IDC_OK
                     je parchear
                     invoke RtlZeroMemory, ADDR buffer, 256
                     invoke ReadProcessMemory, objeto.handle_proceso,
                                               direccion,
                                               ADDR buffer,
                                               nbytes,
                                               NULL
                     test eax, eax
                     jz error_lecmemoria
                     mov eax, nbytes
                     mov bl, 3              ; Calculo el nmero de bytes necesarios para
                     imul bl                ; pasar a cadena los bytes ledos.
                     inc eax
                     invoke GlobalAlloc, LPTR, eax   
                     test eax, eax
                     jz error_resmemoria
                    
                     mov ecx, nbytes
                     mov esi, offset buffer
                     mov edi, eax
                     mov puntero, edi
                     xor eax, eax
bucle_salida:        lodsb          ; Construyo la cadena de salida byte a byte separados
                     push ecx       ; por un espacio (total: 3 caracteres/byte)
                     invoke wsprintf, edi, ADDR formato, eax
                     add edi, 3
                     pop ecx
                     loop bucle_salida

                     invoke SetDlgItemText, hDlg, IDC_BYTES, puntero
                     invoke GlobalFree, puntero


                 .elseif ax==IDC_OK    ; Escribo en la memoria del proceso
                     jmp iniciar       ; Capturo datos
parchear:
                     mov eax, nbytes
                     mov bl, 3
                     imul bl
                     push eax
                     invoke GlobalAlloc, LPTR, eax
                     test eax, eax
                     jz error_resmemoria
                     mov puntero, eax
                     pop ebx
                     invoke GetDlgItemText, hDlg, IDC_CAMBIAR, eax, ebx ; Capturo bytes
                     test eax, eax
                     jz error_bytes
                     invoke CharUpperBuff, puntero, eax                 ; convierte a mayusculas
                     mov ecx, eax
                     mov esi, puntero
                     mov edi, offset buffer
                     xor eax, eax
                     cld
bucle_conv:          lodsb            ; Este bucle convierte la cadena texto con los bytes
                     cmp al, ' '      ; en una cadena binaria -> dos bytes por cada byte
                     je continua      ; Si es un espacio me lo salto (permite separar los
                                      ; bytes por un espacio. Ej: '30 90 E8' = '3090E8')
                     sub al, 30h      ; Resto 30h ('0' = 30h)
                     js error_bytes ; Si se activ el flag de sigo es que el carcter 
                                         ; es menor de '0' 
                     cmp al, 16h         ; Es 'F'?
                     ja error_bytes ; Si es > 'F' caracter incorrecto
                     cmp al, 0Ah         ; Es ':'?
                     jb incluye_byte     ; Si es < ':' entonces es '0'..'9'
                     sub al, 7h          ; Resto 7
                     cmp al, 0Ah         ; Es menor que 'A'
                     jb error_bytes ; Entonces caracter incorrecto
incluye_byte:        stosb               ; Almaceno el byte convertido      
continua:            loop bucle_conv
                     sub edi, offset buffer
                     shr edi, 1          ; He debido escribir 2*numero de bytes
                     cmp edi, nbytes
                     jne error_bytes     ; Si no error
                     mov ecx, edi
                     mov edi, offset buffer
                     mov esi, edi
                     push ecx
bucle_aad:           lodsw              ; Este bucle convierte los bytes desempaquetado en
                                        ; un byte empaquetado. Ej: 09 0E -> 9E
                     xchg ah, al        ; Intercambio al y ah
aad_hex              db 0D5h, 10h       ; AAD hexadecimal -> AL = AL + AH*16
                     stosb              ; Almaceno 
                     loop bucle_aad
		     mov  edi, objeto.handle_proceso
	             invoke VirtualProtectEx, edi, direccion, 40, 40h, addr _temp_
                     pop eax
                     invoke WriteProcessMemory, edi, direccion, \
				ADDR buffer, eax, 0
                     test eax, eax
                     jz error_escmemoria 
	             mov  ecx, _temp_
	             invoke VirtualProtectEx, edi, direccion, 40, ecx, addr _temp_
                     invoke SetDlgItemText, hDlg, IDC_BYTES, puntero                     
                 .endif
                 ret
error_conversion: mov eax, offset error_conv
                  jmp error
error_numbytes:   mov eax, offset error_nbytes
                  jmp error                     
error_lecmemoria: mov eax, offset error_lecmem
                  jmp error          
error_resmemoria: mov eax, offset error_resmem
                  jmp error                                   
error_bytes:      mov eax, offset error_cambyt                  
                  jmp error
error_escmemoria: mov eax, offset error_escmem                  
                 
error:           
                 invoke MessageBox, hDlg, eax, ADDR titulo, MB_ICONERROR
                 invoke SendMessage,hDlg,WM_CLOSE,NULL,NULL  ; cerramos el dialogo
        .endif
.else
      xor eax, eax
      ret    
.endif
xor eax, eax
inc al
ret  

DlgParcheando endp


; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; * Funcin para gestionar los mensajes del dilogo Caja de herramientas *
; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgBuscando proc uses edi esi ebx \
hDlg:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM 

local me32:MODULEENTRY32, hSnapshot:DWORD, i:DWORD, hListView:DWORD
local hprocess:DWORD, lvcolumn:LV_COLUMN, lvitem:LV_ITEM, pt:POINT
local hMenu:DWORD, uCode:DWORD
	
.if uMsg==WM_CLOSE
            invoke CloseHandle, hSnapshot
            invoke EndDialog,hDlg,NULL
            invoke GlobalFree, puntero_pro

.elseif uMsg==WM_INITDIALOG
              invoke GetDlgItem, hDlg,               ; pillamos handle barra progreso
                          IDC_PROGRESS
              mov hwndProgress, eax                  ; lo guardamos
              invoke GetDlgItem, hDlg, IDC_STATUS    ; pillar handle barra de estado
              mov hstatus, eax                       ; guardarlo

      invoke GetDlgItem, hDlg,
                         IDC_PARCHEAR
      mov hwndParchear, eax
      invoke EnableWindow, eax, FALSE
      invoke SetDlgItemText, 
             hDlg,                     ; pone en el control el nombre del proceso
             IDC_FICHERO,               
             ADDR objeto.nombre_proceso
      invoke CheckRadioButton,
             hDlg,
             1026,
             1027,
             1026
      invoke CheckRadioButton,         ; Inicializa radiobuttons volcador
             hDlg,
             1030,
             1031,
             1030

      invoke SetDlgItemText,
             hDlg,
             IDC_STATUS,               ; Inicializa control estado
             ADDR seleccione
      invoke GetDlgItem, hDlg, IDC_BUSCAR_CADENA       ; Pillo handle de buscar cadena

      invoke GetWindowLong, eax,
                            GWL_WNDPROC                ; Pillo WNDPROC actual del edit
      mov wndproc, eax                                 ; Y lo guardo


      mov estado_buscar,0              ; Inicializa flag estado

      invoke SendDlgItemMessage, hDlg,
                                 IDC_BUSCAR_CADENA,    ; Limita a 255 caracteres
                                 EM_SETLIMITTEXT,
                                 255, 0

	  mov ecx,5
        mov edi,ecx
     
p0:	push ecx
	; -----------------------------
      ; Limpiar el control list view
	; -----------------------------
      dec edi
	invoke SendDlgItemMessage, hDlg, IDC_LISTVIEW, LVM_DELETECOLUMN, edi, 0
	pop ecx
	loop p0
      invoke SendDlgItemMessage, hDlg, IDC_LISTVIEW, LVM_DELETEALLITEMS, 0, 0
	
      ; -------------------------------------------
      ; Obtener el manejador del control listview
      ; -------------------------------------------
p2:	invoke GetDlgItem, hDlg,IDC_LISTVIEW
	mov hListView,eax
      ; ------------------
      ; Insertar columnas
      ; ------------------
	mov lvcolumn.imask, LVCF_FMT+LVCF_SUBITEM+LVCF_TEXT+LVCF_WIDTH
	mov lvcolumn.fmt, LVCFMT_CENTER
	mov lvcolumn.lx, 305

	mov lvcolumn.pszText, offset Col1a
	invoke SendMessage, hListView, LVM_INSERTCOLUMN, 0, addr lvcolumn

	mov lvcolumn.lx, 75
	mov lvcolumn.pszText, offset Col2a
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 1, addr lvcolumn

	mov lvcolumn.pszText, offset Col3a
	invoke SendMessage,hListView, LVM_INSERTCOLUMN, 2, addr lvcolumn


      ; ------------------------------
      ; Agregar elementos al control
      ; -----------------------------
	; --------------------------------------------------
	; Obtener informacin sobre los modulos del proceso
	; --------------------------------------------------
	; ---------------
	; Primer modulo
	; ---------------
	mov i,0	
	invoke CreateToolhelp32Snapshot, TH32CS_SNAPMODULE, idproc
	mov hSnapshot,eax
      mov me32.dwSize, sizeof MODULEENTRY32
	invoke Module32First, hSnapshot, addr me32
	test eax,eax
	je fin
		; ------------------------
		; Insertar primer elemento
		; ------------------------
		mov lvitem.iItem,0
r0:		lea esi, me32.szExePath
		lea edi, buffer
		call ZeroBuffer
		invoke lstrlen, esi
		inc eax
		invoke lstrcpyn, edi, esi, eax
		mov lvitem.imask,LVIF_TEXT	
		mov lvitem.pszText, edi

		mov lvitem.iSubItem, 0	;must be 0 for inserting
		invoke SendMessage, hListView, LVM_INSERTITEM, 0, addr lvitem
		; ------------------------------
		; Insertar siguientes elementos
		; ------------------------------
r1:		inc lvitem.iSubItem
		call ZeroBuffer
		invoke wsprintf, edi, addr template, me32.modBaseAddr
		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem

		inc lvitem.iSubItem
		call ZeroBuffer
		invoke wsprintf, edi, addr template, me32.hModule-4
		mov lvitem.pszText, edi
		invoke SendMessage, hListView, LVM_SETITEM, 0, addr lvitem


	; -----------------------------
	; Obtener el siguiente modulo
	; -----------------------------
siguiente_modulo:
		invoke Module32Next, hSnapshot, addr me32
		test eax,eax
		je fin
            pushad                                                  ;esto es para no buscar
            invoke Hex2dwordValues, addr me32.szModule, addr modulo ;en el Kernel32
            invoke Hex2dwordValues,addr ker, addr modulo1           ;si no se fastidiaba
            mov edx , modulo                                        ;el invento, hay zonas en blanco???
            cmp edx, modulo1
            popad
            je siguiente_modulo
;            je Kernel                       ; esto lo dejaremos asi de momento
                                             ; despues de las vacaciones ya veremos
; mas:                                       ; Je je...
		inc lvitem.iItem             
		jmp r0 
; Kernel:     
;   invoke    VirtualProtectEx, idproc, me32.modBaseAddr, me32.modBaseSize, PAGE_READWRITE, lpflOldProtect
;            jmp mas	

.elseif uMsg==WM_COMMAND
        mov eax,wParam
        mov edx,eax
        shr edx,16
          .if dx==BN_CLICKED
;------------------------------------------
; Aqui se engancha el filtro hex
;------------------------------------------
            pusha
      invoke IsDlgButtonChecked,
                           hDlg,
                           1027
                    .if eax==1
      
      invoke GetDlgItem, hDlg, IDC_BUSCAR_CADENA       ; Pillo handle de buscar cadena

      invoke SetWindowLong, eax,
                            GWL_WNDPROC,               ; Engancho mi filtro
                            ADDR Filtro
;----------------------------------------------
; Y aqui se desengancha
;----------------------------------------------
                    .elseif eax==0    
        invoke GetDlgItem, hDlg, IDC_BUSCAR_CADENA     ; Pillo handle de buscar cadena
        invoke SetWindowLong, eax,
                            GWL_WNDPROC,               ; Engancho el original
                            wndproc
               
                    .endif
             popa

; --------------------------
; Cerrar el dilogo
; --------------------------
            .if ax==IDC_EXIT2
                  invoke CloseHandle, hSnapshot           
                  invoke SendMessage,hDlg,WM_CLOSE,0,0

; --------------------------
; Limpiar
; --------------------------
            .elseif ax==IDC_LIMPIAR
         invoke SendDlgItemMessage, hDlg,            ; Limpiamos la list box
                                    IDC_LISTBOX,
                                    LB_RESETCONTENT,
                                    0, 0

         invoke SetDlgItemText,hDlg,IDC_BUSCAR_CADENA,NULL ; Limpiamos el control

;---------------------------
; Mapa de memoria
;---------------------------
            .elseif ax==IDC_MAPA
            mov QUIEN_ME_USA, 0

         invoke DialogBoxParam,hInst,IDD_MAPA,hDlg, offset DlgMapa, 0 ; llama al Mapa de memoria
; -----------------------------
; Visor de funciones importadas
; ------------------------------

            .elseif ax==IDC_VISOR
       
             mov al, estado_buscar   ; Si estado_buscar==1 entonces capturo datos y procedo 
                                     ; Si es cero es porque no hay modulo seleccionado
                .if al==0
                invoke MessageBox, hDlg, ADDR seleccione, ADDR titulo , MB_ICONERROR
                ret
                .endif
                invoke DialogBoxParam,hInst,10001,hDlg, offset DlgVisor, 0 ; llama al Visor de funciones           
; ----------
; Depurador
; ----------

            .elseif ax==IDC_DEPURADOR
       
             mov al, estado_buscar   ; Si estado_buscar==1 entonces capturo datos y procedo 
                                     ; Si es cero es porque no hay modulo seleccionado
                .if al==0
                invoke MessageBox, hDlg, ADDR seleccione, ADDR titulo , MB_ICONERROR
                ret
                .endif
                  invoke DialogBoxParam,hInst,IDD_DEPURADOR,hDlg, offset DlgDepurador, 0 ; llama al depurador 

                         ; ==============
                         ; MOSTRAR About
                         ; ==============
            .elseif ax==IDC_ABOUT
		push	offset mbp
		call	MessageBoxIndirect
                  
            .elseif ax==1027 

             invoke SetDlgItemText,hDlg,IDC_BUSCAR_CADENA,NULL ; Limpiamos el control

                         ; =================
                         ; VOLCADOR PARCIAL
                         ; =================
            .elseif ax==IDC_VOLCADORP
             mov al, estado_buscar   ; Si estado_buscar==1 entonces capturo datos y procedo 
                                     ; Si es cero es porque no hay modulo seleccionado
                .if al==0
                invoke MessageBox, hDlg, ADDR seleccione, ADDR titulo , MB_ICONERROR
                ret
                .endif


         invoke DialogBoxParam,hInst,IDD_DIALOGVP,hDlg, offset DlgVolcadorP, 0 ; llama al Volcador Parcial
 
                         ; ==========
                         ; EDITOR PE
                         ; ==========
            .elseif ax==IDC_EDITORPE
             mov al, estado_buscar   ; Si estado_buscar==1 entonces capturo datos y procedo 
                                     ; Si es cero es porque no hay modulo seleccionado
                .if al==0
                invoke MessageBox, hDlg, ADDR seleccione, ADDR titulo , MB_ICONERROR
                ret
                .endif
         invoke DialogBoxParam,hInst,IDD_INFOPE,hDlg, offset DlgInfoPE, 0 ; llama al InfoPE

                         ; ===============
                         ; VOLCADOR TOTAL
                         ; ===============
            .elseif ax==IDC_VOLCADOR
            mov al, estado_buscar   ; Si estado_buscar==1 entonces capturo datos y procedo 
                                    ; Si es cero es porque no hay modulo seleccionado
                .if al==0
                invoke MessageBox, hDlg, ADDR seleccione, ADDR titulo , MB_ICONERROR
                ret
                .endif

                     call inicio_tablas


                     push	eax
      			invoke IsDlgButtonChecked,        ; comprobamos estado de radiobuton     
                           hDlg,
                           1030
                   .if eax==1   ; si esta activada, reconstruimos
                    pop		eax
reconstruyendo:
                    call comprobar_tabla
                    cmp eax, 0
                    je grabar
                    mov eax, inicio_sec
                    sub eax, 40
                    push [eax+8]
                    pop tv               ;obtenemos tv(tamao virtual)
                    push [eax+12]
                    pop dv               ;obtenemos dv(direccion virtual)
                    push [eax+16]
                    pop tr               ;obtenemos tr(tamao real)
                    push [eax+20]
                    pop dr               ;obtenemos dr(direccion real)

                  mov edi, dr            ;convertimos datos del encabezado
                  add edi, puntero_pro   ;a direcciones de la proyeccion
                  mov esi, dv
                  add esi, puntero_pro
                  mov ecx, tv            ;contador de bytes copiados
    a_ellos:
                  lodsb                   ; trasladamos la seccion desde
                  stosb                   ; direccion virtual a direccion real
                  dec ecx                 ;decrementamos contador de bytes
                  jnz a_ellos
                  mov fin_archivo, edi 
                  jmp reconstruyendo      ;si existe.., otra vez
                           
                  .else       ; Aqui realizamos la alineacion
                    pop eax
alineando:

                    mov edi, inicio_sec ;edi apunta a inicio seccion
                    push [edi+8]        ;edi apunta a tamao virtual
                    pop tv              ;guardamos
                    push [edi+12]
                    pop dv              ;guardamos
                    mov eax, tv         ;cargamos en ebx tamao virtual
                    mov [edi+16], eax      ;copiamos el dato en ecx
                    mov eax, dv         ;cargamos en ebx direccion virtual
                    mov [edi+20], eax      ;copiamos el dato en direccion real
                    mov eax, inicio_sec ;restauramos el inicio seccion
                    add eax, 28h           ;siguiente seccion
                    mov inicio_sec, eax    ;guardamos

            call comprobar_tabla
            cmp eax, 0
            je ya 
            mov eax, inicio_sec
            sub eax, 40
            mov inicio_sec, eax
            jmp alineando
 
ya:              mov eax, dv
                 add eax, tv
                 add eax, puntero_pro
                 mov fin_archivo, eax

                     .endif
    ;-------------------------------------------
    ;    Inicializar la estructura OPENFILENAME 
    ;-------------------------------------------
grabar:  lea edi, buffer
         call ZeroBuffer
         mov  ofn1.lStructSize,SIZEOF ofn1 
         push hDlg 
         pop  ofn1.hwndOwner 
         push hInst 
         pop  ofn1.hInstance 
         mov  ofn1.lpstrFilter, OFFSET FilterString 
         mov  ofn1.lpstrFile, edi 
         mov  ofn1.nMaxFile,256
         mov  ofn1.Flags,OFN_LONGNAMES or\ 
                OFN_EXPLORER or OFN_HIDEREADONLY 
        invoke GetSaveFileName, ADDR ofn1
               .if eax==TRUE 
                        invoke CreateFile,ADDR buffer,\ 
                                                GENERIC_READ or GENERIC_WRITE ,\ 
                                                FILE_SHARE_READ or FILE_SHARE_WRITE,\ 
                                                NULL,CREATE_NEW,FILE_ATTRIBUTE_ARCHIVE,\ 
                                                NULL 
                        mov fhandle,eax
                        mov eax, fin_archivo
                        sub eax, puntero_pro 
                        invoke WriteFile,
                                       fhandle,
                                       puntero_pro,
                                       eax,
                                       ADDR buffer,
                                       NULL
                    
                        invoke CloseHandle,fhandle
                        invoke SetDlgItemText,
                                         hDlg,
                                         IDC_STATUS,
                                         ADDR volcado
                        invoke MessageBox, hDlg, ADDR volcado, ADDR txt2 ,MB_ICONINFORMATION
                        jmp proyectar
               .endif
             
; --------------------------
; Buscar cadena
; --------------------------
            .elseif ax==IDC_EJECUTA
          
             mov al, estado_buscar   ; Si estado_buscar==1 entonces capturo datos y procedo 
                                     ; Si es cero es porque no hay modulo seleccionado
             test al, al
             jnz seguir
             invoke MessageBox, hDlg, ADDR seleccione, ADDR txt2 , MB_ICONERROR
             ret
seguir:      

             invoke GetDlgItemText,hDlg,IDC_BUSCAR_CADENA,ADDR BYTES_BUSCAR,21 
             mov LONGITUD_BUSCAR, EAX           ; colocamos el resultado en longitud_buscar
             test eax, eax
             jz error_cadena
             invoke IsDlgButtonChecked,         ;comprobamos el estado de los radio-buttons
                                  hDlg,
                                  1027
                       .if eax==1
;----------------------------------------
; Rutina de conversion ascii a hex
;----------------------------------------                  
 empezar:
         mov eax, LONGITUD_BUSCAR
         ror eax, 1
         mov LONGITUD_BUSCAR, eax
         xor ebx,ebx
         mov edi, offset BYTES_BUSCAR         ; edi apunta a bytes_buscar en ascii 
         mov esi, offset BYTES_BUSCAR         ; esi para sustituir los valores ascii por hex
  byte_bueno: 
         mov al, byte ptr [edi]
         mov byte_conversion, al
         inc edi
         mov al, byte ptr [edi]
         mov byte_conversion+1, al
         inc edi
         inc ebx

         push ebx                           ; no utilizo pusha ni popa porque quiero
         push ecx                           ; mantener el registro eax
         push edi 
         push edx 
         push esi

         invoke htodw, ADDR byte_conversion

         pop esi
         pop edx
         pop edi
         pop ecx
         pop ebx
         mov byte ptr [esi], al

         inc esi
         cmp ebx,LONGITUD_BUSCAR
         jb byte_bueno
       
                       .elseif eax==0
                             jmp seguir1             ; si esta seleccionada la busqueda ascii
                       .endif                        ; seguimos
                       
         
 seguir1:      
          mov eax, modu.tam_modulo               ; establecemos rango barra progreso
          shl eax,8                              ; aproximadamente, dividir por 100h tamao del modulo
          invoke SendMessage,hwndProgress,PBM_SETRANGE,0,eax
          invoke SendMessage,hwndProgress,PBM_SETSTEP,1,0
          invoke SendMessage,hwndProgress,PBM_SETPOS,0,0     ; posicion inicial 
          invoke GetDlgItem, hDlg, IDC_STATUS                ; pillar handle barra de estado
          mov hstatus, eax
          invoke ShowWindow, hstatus, SW_HIDE                ; ocultar barra de estado
          invoke ShowWindow, hwndProgress, SW_SHOW           ; presentar barra de progreso
;----------------------------------------------------
; Rutina de busqueda de caracteres
;----------------------------------------------------
             mov eax, LONGITUD_BUSCAR
             test eax, eax
             je error_cadena
             mov ebx, modu.tam_modulo           ; contador
             sub ebx, LONGITUD_BUSCAR           ; para no buscar mas de la cuenta
comenzamos:
             xor ecx, ecx                       ; contador barra de progreso
             mov contador, 0                    ; este nos servira para las coincidencias
             mov esi, puntero_pro               ; esi, direccion de inicio
             xor eax,eax
busca_inicio:
             inc ecx            ; salta para incrementar la barra de progreso cada 256
             cmp ecx, 256       ; iteracciones (100h)
             je paso
             mov edi, offset BYTES_BUSCAR  
             mov al, byte ptr [edi]    
             mov edx, LONGITUD_BUSCAR
         cmp al, byte ptr [esi]                   ;comparamos bytes
         je encontrado
         inc esi
         dec ebx
         test ebx, ebx
         jz fin_busca
         jmp busca_inicio
         
encontrado:
         push ebx                  ; guardamos contador
         push esi                  ; y direccion
seguimos:
         inc edi                   ; siguiente byte de la cadena
         mov al, byte ptr [edi]    ; lo cargamos en al
         dec ebx
         test ebx, ebx
         jz fin_busca
         inc esi
         dec edx
         test edx,edx
         jz encontrada
         cmp al, byte ptr [esi]     ;comparamos bytes
         jne restaurar
         jmp seguimos

restaurar:
         pop esi                    ; restauramos los valores del contador y direccion
         pop ebx
         add esi, 1                      ; sumamos 1 para seguir en la siguiente posicion
         sub ebx, 1
         mov edx, LONGITUD_BUSCAR
         jmp busca_inicio
paso:
	invoke SendMessage,hwndProgress,PBM_STEPIT,0,0   ; incrementa barra de progreso
      xor ecx, ecx                                     ; contador a cero
      jmp busca_inicio                                 ; otra vez
             
       ;  -----------------------------------------------------
       ; Cadena encontrada. Por ahora solo se muestra en pantalla y se sale. Ms adelante ya 
       ; veremos que 'maldad' se nos ocurre... ;-)
       ; ------------------------------------------------------
encontrada:
          pop esi
          add esi, modu.base_modulo            ; sumamos a la direccion la base del modulo
          sub esi, puntero_pro                 ; y restamos la base de la proyeccion
          mov offset_cadena, esi
          invoke wvsprintf, ADDR salida,       ; Convierto a texto el desplazamiento
                            ADDR template, 
                            ADDR offset_cadena 
                                   
         invoke SendDlgItemMessage, hDlg,
                                    IDC_LISTBOX,
                                    LB_ADDSTRING,
                                    0,
                                    ADDR salida
         inc dword ptr contador                             
         mov al, byte ptr BYTES_BUSCAR          ; Restauro el primer byte de la cadena
         add esi, puntero_pro                   ; Restauramos valor esi
         sub esi, modu.base_modulo
         push esi

         jmp restaurar                          ; y sigo buscando.
            
fin_busca:
         invoke ShowWindow, hwndProgress, SW_HIDE  ; ocultamos barra de progreso
         invoke ShowWindow, hstatus, SW_SHOW       ; presentamos barra de estado
         mov ecx, contador
         cmp ecx, 0
         je error_no_esta
         invoke wsprintf, ADDR cadena_salida,
                          ADDR mensaje,
                          ecx
         invoke SetDlgItemText,hDlg,IDC_STATUS,ADDR cadena_salida

         invoke SendDlgItemMessage, hDlg,
                                    IDC_LISTBOX,
                                    LB_GETCURSEL,
                                    0, 0
         cmp eax, LB_ERR
         invoke EnableWindow, hwndParchear, TRUE      ; habilitamos boton parchear
         jne crackea
         mov eax, offset no_sel
      
         ret
fin_crackea:
         invoke SetDlgItemText,hDlg,IDC_STATUS,eax
         ret              
salir: 
       invoke EnableWindow, hwndParchear, FALSE 
       ret


      .elseif ax==IDC_PARCHEAR              

         invoke SendDlgItemMessage, hDlg,
                                    IDC_LISTBOX,
                                    LB_GETCURSEL,
                                    0, 0
         cmp eax, LB_ERR
         jne crackea
         mov eax, offset no_sel
         jmp fin_crackea
                  
crackea: 

         invoke SendDlgItemMessage, hDlg,
                                    IDC_LISTBOX,
                                    LB_GETTEXT,
                                    eax,
                                    ADDR salida
         cmp eax, LB_ERR
         jne parchea
         mov eax, offset error_listbox
         jmp fin_crackea
;--------------------------------------------------
; Llamar al dialogo Parcheando
;--------------------------------------------------
parchea: 
 
         invoke SetDlgItemText,hDlg,IDC_STATUS, ADDR mens_buscar 
         invoke htodw, ADDR salida
         mov direccion, eax              
         invoke DialogBoxParam,hInst,IDD_DIALOGPAR,hDlg,addr DlgParcheando, 0 ; llama al dialogo Parcheando
         mov nResult, eax
         jmp proyectar
ret
;------------------------------------------------------------------------------------------
             error_cadena:
             invoke SetDlgItemText,hDlg,IDC_STATUS,ADDR no_cadena
             ret
             error_memoria:
             invoke SetDlgItemText,hDlg,IDC_STATUS,ADDR error_lecmem
             ret
             error_no_esta:
             invoke SetDlgItemText,hDlg,IDC_STATUS,ADDR no_encontrada
             ret
             si_esta:
            .endif

        .endif 

.elseif uMsg==WM_NOTIFY      ; Aqui vigilo si se selecciona algun modulo
                             ; para capturar sus datos


		mov esi,lParam
		mov ecx, (NM_LISTVIEW ptr [esi]).hdr.code
		.if cx==NM_RCLICK

           mov lvitem.cchTextMax, MAX_PATH
           mov lvitem.pszText, offset modu.nombre_modulo
           mov lvitem.iSubItem, 1
           invoke SendDlgItemMessage, hDlg,              ; Pillo direccion del modulo
                                      IDC_LISTVIEW, 
                                      LVM_GETITEMTEXT,
                                      (NMLISTVIEW ptr [esi]).iItem,
                                      ADDR lvitem
           test eax, eax
           jz error


	; ################
	; Qu hace esto?
	; ################

           invoke Hex2dwordValues, ADDR modu.nombre_modulo,  ; Lo paso a hexadecimal
                                   ADDR modu.base_modulo
           inc lvitem.iSubItem
           invoke SendDlgItemMessage, hDlg, 
                                      IDC_LISTVIEW,      ; Pillo tamao del modulo
                                      LVM_GETITEMTEXT,
                                      (NMLISTVIEW ptr [esi]).iItem,
                                      ADDR lvitem
           test eax, eax
           jz error
           invoke Hex2dwordValues, ADDR modu.nombre_modulo,  ; Lo paso a hexadecimal
                                   ADDR modu.tam_modulo
           mov lvitem.iSubItem, 0
           invoke SendDlgItemMessage, hDlg,                  ; Pillo path del modulo
                                      IDC_LISTVIEW, 
                                      LVM_GETITEMTEXT,
                                      (NMLISTVIEW ptr [esi]).iItem,
                                      ADDR lvitem
           test eax, eax
           jz error
           invoke GetFileTitle, ADDR modu.nombre_modulo,     ; y me quedo solo con el 
                                ADDR modu.nombre_modulo,     ; nombre del fichero
                                MAX_PATH
           invoke SetDlgItemText, hDlg,
                                  IDC_MODULO,
                                  ADDR modu.nombre_modulo    ; Muestro modulo seleccionado
           invoke SetDlgItemText, hDlg,
                                  IDC_STATUS,                ; Actualizo estado
                                  ADDR mens_buscar                                  
           mov eax, 1                                        ; Todo bien -> al=1
error:     mov estado_buscar, al                             ; Si ocurrio error al es cero.
                                                             ; Guardo al en flag de estado

                   .if al==0
                    jmp terminar1

                    .else
                    

;----------------------------------
; Proyectar el modulo
;----------------------------------
;*************************************************************************
;Con esta rutina reservamos un espacio de memoria en el contexto actual
;del tamao del modulo seleccionado. Dependiendo del estado de la casilla
;"Forzar proyeccion"  Se lee el modulo todo de una vez o se trocea y se cargan los trozos
;secuencialmente. 
; Marmota 27-8-2000
;**************************************************************************
proyectar:
                     mov eax, puntero_pro            ; comprobamos si hay algun modulo
                     test eax, eax                   ; proyectado
                     jnz limpiar                     ; si lo hay, limpiamos
iniciar:
                     invoke GlobalAlloc,NULL, modu.tam_modulo ; Reservamos espacio
                     mov puntero_pro, eax                     ; Guardar puntero proyeccion
                     mov esi, modu.base_modulo                ; direccion base del modulo a esi
                     mov edi, puntero_pro                     ; direccion base de la proyeccion a edi
                     mov ecx, modu.tam_modulo
                     pusha
                     invoke IsDlgButtonChecked,        ; comprobamos estado de casilla      
                           hDlg,
                           1035
                           .if eax==1           ; si esta activada, troceamos...

                    invoke SendMessage,hwndProgress,PBM_SETRANGE,0,01000000h ; rango = 100h trozos
                    invoke SendMessage,hwndProgress,PBM_SETSTEP,1,0
                    invoke SendMessage,hwndProgress,PBM_SETPOS,0,0     ; posicion inicial 
                    invoke ShowWindow, hstatus, SW_HIDE                ; ocultar barra de estado
                    invoke ShowWindow, hwndProgress, SW_SHOW           ; presentar barra de progreso

                     popa
                     shr ecx, 8                  ; desplazando dos lugares= /100h
                     mov trozo, ecx              ; guardamos el tamao del trozo
                     mov ecx, 256                ; contador de trozos 256=100h
seguir4:
                     pusha
                     invoke SendMessage,hwndProgress,PBM_STEPIT,0,0   ; incrementa barra de progreso
                     popa

                     pusha                          ; Guardar registros
                     invoke ReadProcessMemory,
                             objeto.handle_proceso, ;leemos un trozo del modulo
                             esi,                
                             edi,                   ;se escribe en espacio proyeccion
                             trozo,
                             NULL
                     test eax, eax
                     popa                           ; Restaurar registros

                     jz error_memoria
                     add edi, trozo                 ; incrementamos los punteros con el valor
                     add esi, trozo                 ; del trozo
                     dec ecx                        ; decrementamos contador de trozos
                     test ecx, ecx
                     jz terminado
                     jmp seguir4 
                          .elseif eax==0            ; si casilla desactivada...
                     popa
                     mov esi, modu.base_modulo
                     pusha                          ; Guardar registros
                     invoke ReadProcessMemory,
                             objeto.handle_proceso, ;leemos el modulo de golpe
                             esi,                
                             puntero_pro,           ;se escribe en espacio proyeccion
                             modu.tam_modulo,
                             NULL
                     test eax, eax
                     jz error_memoria
                     popa                           ; Restaurar registros
                     jmp terminado  
                          .endif                    
                                              
error_reserva:
                 invoke SetDlgItemText, hDlg,
                                  IDC_STATUS,           
                                  ADDR reserva                                  
                 ret
limpiar:
                 invoke GlobalFree, puntero_pro
                 mov puntero_pro, 0
                 jmp iniciar
 

       .endif
terminado:
         invoke SetDlgItemText, hDlg,
                           IDC_STATUS,           
                           ADDR proyectado      
         invoke ShowWindow, hwndProgress, SW_HIDE  ; ocultamos barra de progreso
         invoke ShowWindow, hstatus, SW_SHOW       ; presentamos barra de estado

                    .endif
.else

terminar1:
         xor eax, eax
        ret           
.endif
mov eax, 1
fin: ret

DlgBuscando endp

; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

; *******************************************************************************
; Por este procedimiento pasarn todos los mensajes dirigidos a los controles de
; captura de bytes. Se encargar de filtrar los caracteres hexadecimales y pasarlos
; a maysculas. En caso de introducir un caracter no hexadecimal no se le pasa al 
; procedimiento original.... El Alfil....
; ********************************************************************************

; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

Filtro proc hWindow:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM 

.if uMsg==WM_CHAR               ; Se ha pulsado una tecla -> la filtro
    mov eax, wParam
    .if (eax>=30h && eax<=39h) || (eax>='a' && eax<='f') || (eax>='A' && eax<='F') || al==VK_BACK 
       .if (eax>='a' && eax<='f')   
           sub eax, 20h         ; Si es un caracter hexad. en minusculas lo paso a mayusculas
       .endif
       invoke CallWindowProc, wndproc, ; Llamo al procedimiento original con el caracter 
                              hWindow, ; filtrado.
                              uMsg,
                              eax,
                              lParam
    .endif      
.else                          ; Procesado del resto de mensajes -> no hago nada
    invoke CallWindowProc, wndproc,
                           hWindow,
                           uMsg,
                           wParam,
                           lParam
.endif
ret

Filtro endp

; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

; ########################################################################
; This procedure convert a string of 8 bytes maximun to a DWORD value
; Parameters:
;    pBuffer:DWORD - pointer to the buffer with the string
;    pdwordValue:DWORD - pointer to a DWORD variable that recives the data
; ########################################################################

; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

Hex2dwordValues proc pBuffer:DWORD,pdwordValue:DWORD
        push esi               ; save these registers (0)
        push edi               ;                      (1)
	mov esi,pBuffer
        mov edi,pdwordValue
        invoke lstrlen,esi     ; get the string size
	mov ecx,eax 
        dec eax
        add esi,eax            ; point to the end of the string
        std                    ; move from the end of the string     
a0:     mov edx,2
a1:     lodsb                  ; move a character to al
        cmp al,39h             ; is a number?
        jg a2                  ; jump if is not number
        sub al,30h             ; convert character to hex value
        jmp a3                 ; move to the DWORD variable
a2:     sub al,37h             ; letter hex ascii to hex byte       
a3:     cmp dl,2               ; is the second character?
        jl a4                  ; yes, move to the DWORD variable
        mov byte ptr [edi],al  ; move the hex value to the DWORD variable
        cmp cl,1               ; is the last character
        jle a6
        dec dl
        loop a1                ; get next character
a4:     shl al,4
        xor byte ptr [edi],al  ; move the second hex value to variable  
        inc edi 
        loop a0                ; get next two characters
; =============================================================
; Shift the data to the right position in the DWORD variable
; Desplazar el dato a su posicin correcta en la variable DWORD
; =============================================================
a6:     cld
a5:     xor eax,eax
        inc al
        pop edi               ; recover the pushed registers (1)
        pop esi               ;                              (0)
        ret 
Hex2dwordValues endp


; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

;*********************************************************************************************
;************** Funcin para gestionar los mensajes del dilogo Depurador *******************
;*********************************************************************************************

; :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

DlgDepurador proc uses edi esi ebx \
hDlg:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
local hwndboton:DWORD

.if uMsg==WM_CLOSE
   invoke EndDialog,hDlg,NULL


.elseif uMsg==WM_INITDIALOG

          mov QUIEN_ME_USA, 1
          invoke CheckRadioButton,
             hDlg,
             7106,
             7107,
             7106
                    invoke SetDlgItemText, hDlg,
                                 IDC_MODU,
                                 ADDR modu.nombre_modulo    ; Muestro modulo seleccionado
          invoke GetDlgItem, hDlg,                          ;capturamos handle boton
                             IDC_DESENSAMBLAR
          invoke EnableWindow, eax, FALSE                   ;desabilitamos boton
          invoke GetDlgItem, hDlg,                          ;capturamos handle boton
                             IDC_DATOS
          mov hwndboton, eax                                ;guardamos
          invoke EnableWindow, eax, FALSE	                  ;desabilitamos boton
          call inicio_tablas                        ;rutina para localizar tablas de secciones
         ; mov esi, eax                              ;esi apunta a inicio seccion


; ---------------------------------------
; Despliega los nombres de las secciones
; Display the sections names
; ---------------------------------------
vale:
          call comprobar_tabla
          cmp eax, 0
          je ya
          mov eax, inicio_sec
          sub eax, 40
          mov offset_cadena, eax 
          invoke SendDlgItemMessage, hDlg,
                                    IDC_LISTBOX2,
                                    LB_ADDSTRING,
                                    0,
                                    offset_cadena
          jmp vale

ya:
          call inicio_tablas

.elseif uMsg==WM_COMMAND
        mov eax,wParam
        mov edx,eax
        shr edx,16
        mov guardar_ax, ax
                mov eax,wParam

          .if dx==BN_CLICKED
;------------------------------------------
; Aqui se engancha el filtro hex
;------------------------------------------
            pusha
      invoke IsDlgButtonChecked,
                           hDlg,
                           7107
                    .if eax==1
      
      invoke GetDlgItem, hDlg, 7105       ; Pillo handle de buscar cadena

      invoke SetWindowLong, eax,
                            GWL_WNDPROC,               ; Engancho mi filtro
                            ADDR Filtro
;----------------------------------------------
; Y aqui se desengancha
;----------------------------------------------
                    .elseif eax==0    
        invoke GetDlgItem, hDlg, 7105     ; Pillo handle de buscar cadena
        invoke SetWindowLong, eax,
                            GWL_WNDPROC,               ; Engancho el original
                            wndproc
               
                    .endif
             popa
            .endif


; --------------------------
; Buscar cadena
; --------------------------
        .if ax==7111

seguir:      

             invoke GetDlgItemText,hDlg,7105,ADDR BYTES_BUSCAR,21 
             mov LONGITUD_BUSCAR, EAX           ; colocamos el resultado en longitud_buscar
             test eax, eax
             jz error_cadena
             invoke IsDlgButtonChecked,         ;comprobamos el estado de los radio-buttons
                                  hDlg,
                                  7107
                       .if eax==1
;----------------------------------------
; Rutina de conversion ascii a hex
;----------------------------------------                  
 empezar:
         mov eax, LONGITUD_BUSCAR
         ror eax, 1
         mov LONGITUD_BUSCAR, eax
         xor ebx,ebx
         mov edi, offset BYTES_BUSCAR         ; edi apunta a bytes_buscar en ascii 
         mov esi, offset BYTES_BUSCAR         ; esi para sustituir los valores ascii por hex
  byte_bueno: 
         mov al, byte ptr [edi]
         mov byte_conversion, al
         inc edi
         mov al, byte ptr [edi]
         mov byte_conversion+1, al
         inc edi
         inc ebx

; #########################################################
; OJO!
; Toda llamada a funcin de la API conserva ESI, EDI y EBX
; As que esto no es necesario:
; #########################################################

COMMENT %
         push ebx                           ; no utilizo pusha ni popa porque quiero
         push ecx                           ; mantener el registro eax
         push edi 
         push edx 
         push esi
	%

         invoke htodw, ADDR byte_conversion

COMMENT %
         pop esi
         pop edx
         pop edi
         pop ecx
         pop ebx
	%

         mov byte ptr [esi], al
         inc esi
         cmp ebx,LONGITUD_BUSCAR        
         jb byte_bueno
       
                       .elseif eax==0
                             jmp seguir1             ; si esta seleccionada la busqueda ascii
                       .endif                        ; seguimos

         
 seguir1:      

;----------------------------------------------------
; Rutina de busqueda de caracteres
;----------------------------------------------------
             mov eax, LONGITUD_BUSCAR
             test eax, eax
             je error_cadena
             mov ebx, modu.tam_modulo           ; contador
             sub ebx, LONGITUD_BUSCAR           ; para no buscar mas de la cuenta
comenzamos:
             xor ecx, ecx                       ; contador barra de progreso
             mov contador, 0                    ; este nos servira para las coincidencias
             mov esi, puntero_pro               ; esi, direccion de inicio
             xor eax,eax
busca_inicio:

             mov edi, offset BYTES_BUSCAR  
             mov al, byte ptr [edi]    
             mov edx, LONGITUD_BUSCAR
         cmp al, byte ptr [esi]                   ;comparamos bytes
         je encontrado
         inc esi
         dec ebx
         test ebx, ebx
         jz fin_busca
         jmp busca_inicio
         
encontrado:
         push ebx                  ; guardamos contador
         push esi                  ; y direccion
seguimos:
         inc edi                   ; siguiente byte de la cadena
         mov al, byte ptr [edi]    ; lo cargamos en al
         dec ebx
         test ebx, ebx
         jz fin_busca
         inc esi
         dec edx
         test edx,edx
         jz encontrada
         cmp al, byte ptr [esi]     ;comparamos bytes
         jne restaurar
         jmp seguimos

restaurar:
         pop esi                    ; restauramos los valores del contador y direccion
         pop ebx
         add esi, 1                      ; sumamos 1 para seguir en la siguiente posicion
         sub ebx, 1
         mov edx, LONGITUD_BUSCAR
         jmp busca_inicio

             
       ;  -----------------------------------------------------
       ; Cadena encontrada. Por ahora solo se muestra en pantalla y se sale. Ms adelante ya 
       ; veremos que 'maldad' se nos ocurre... ;-)
       ; ------------------------------------------------------
encontrada:
          pop esi
          add esi, modu.base_modulo            ; sumamos a la direccion la base del modulo
          sub esi, puntero_pro                 ; y restamos la base de la proyeccion
          mov offset_cadena, esi
          invoke wvsprintf, ADDR salida,       ; Convierto a texto el desplazamiento
                            ADDR template, 
                            ADDR offset_cadena 
                                   
         invoke SendDlgItemMessage, hDlg,
                                    7108,
                                    LB_ADDSTRING,
                                    0,
                                    ADDR salida
         inc dword ptr contador                             
         mov al, byte ptr BYTES_BUSCAR          ; Restauro el primer byte de la cadena
         add esi, puntero_pro                   ; Restauramos valor esi
         sub esi, modu.base_modulo
         push esi

         jmp restaurar                          ; y sigo buscando.
            
fin_busca:

         mov ecx, contador
         cmp ecx, 0
         je error_no_esta
 
         invoke SendDlgItemMessage, hDlg,
                                    7108,
                                    LB_GETCURSEL,
                                    0, 0
         cmp eax, LB_ERR
         invoke EnableWindow, hwndParchear, TRUE      ; habilitamos boton parchear
         jne crackea
         mov eax, offset no_sel
      
         ret
fin_crackea:
         invoke SetDlgItemText,hDlg,IDC_STATUS,eax
         ret              
salir: 
       invoke EnableWindow, hwndParchear, FALSE 
       ret


                        ; ===================
                        ; MOSTRAR DILALOGO MAPA
                        ; ===================

    .elseif ax==IDC_UTILIZAR
        mov QUIEN_ME_USA, 1
        invoke DialogBoxParam,hInst,IDD_MAPA,hDlg, offset DlgMapa, 0 ; llama al Mapa de memoria
        .if QUIEN_ME_USA==0
            ret
        .endif    
        jmp desen_block

    ;*********** EXPORTAMOS LA DIRECCIN Y DESENSAMBLAMOS REFRESCANDO

     .elseif ax==IDC_UTILDATA
        mov QUIEN_ME_USA, 2
        invoke DialogBoxParam,hInst,IDD_MAPA,hDlg, offset DlgMapa, 0 ; llama al Mapa de memoria
        .if QUIEN_ME_USA==0
            ret
        .endif    
        mov edi, blocktam
        mov ebx, puntero_prob
        jmp mas_datos
    ;********** EXPORTAMOS LA DIRECCIN Y MOSTRAMOS ASCII REFRESCANDO

; --------------------------
; Limpiar
; --------------------------

         ;----------------------
         ; Limpiar Controles
         ;----------------------
        
      .elseif ax==IDC_LIMPI
      
                       invoke GlobalFree, puntero_buffer1          ;liberamos memoria
                       invoke SetDlgItemText,hDlg,IDC_DES, NULL    ;limpiamos el control
                

      .elseif ax==IDC_LIMP                 
         invoke SendDlgItemMessage, hDlg,            ; Limpiamos la list box
                                    IDC_LISTBOX3,
                                    LB_RESETCONTENT,
                                    0, 0 

      .elseif ax==7109
         invoke SendDlgItemMessage, hDlg,            ; Limpiamos la list box
                                    7108,
                                    LB_RESETCONTENT,
                                    0, 0

         invoke SetDlgItemText,hDlg,7105,NULL ; Limpiamos el control
      .elseif ax==7110             

         invoke SendDlgItemMessage, hDlg,
                                    7108,
                                    LB_GETCURSEL,
                                    0, 0
         cmp eax, LB_ERR
         jne crackea
         mov eax, offset no_sel
         jmp fin_crackea
                  
crackea: 

         invoke SendDlgItemMessage, hDlg,
                                    7108,
                                    LB_GETTEXT,
                                    eax,
                                    ADDR salida
         cmp eax, LB_ERR
         jne parchea
         mov eax, offset error_listbox
         jmp fin_crackea

;--------------------------------------------------
; Llamar al dialogo Parcheando
;--------------------------------------------------
parchea:
         invoke SetDlgItemText,hDlg,IDC_STATUS, ADDR mens_buscar 
         invoke htodw, ADDR salida
         mov direccion, eax              
         invoke DialogBoxParam,hInst,IDD_DIALOGPAR,hDlg,addr DlgParcheando, 0 ; llama al dialogo Parcheando
         mov nResult, eax
       ;  jmp proyectar
ret

;------------------------------------------------------------------------------------------

             error_cadena:
             invoke SetDlgItemText,hDlg,IDC_STATUS,ADDR no_cadena
             ret
             error_memoria:
             invoke SetDlgItemText,hDlg,IDC_STATUS,ADDR error_lecmem
             ret
             error_no_esta:
             invoke SetDlgItemText,hDlg,IDC_STATUS,ADDR no_encontrada
             ret
             si_esta:


        .endif  

          invoke SendDlgItemMessage, hDlg,
                                    IDC_LISTBOX2,
                                    LB_GETCURSEL,
                                    0, 0  

         cmp eax, LB_ERR
         je no
         invoke GetDlgItem, hDlg,                        ;capturamos handle boton
                             IDC_DATOS
         invoke EnableWindow, eax, TRUE      ; habilitamos boton
         invoke GetDlgItem, hDlg,                        ;capturamos handle boton
                             IDC_DESENSAMBLAR
         invoke EnableWindow, eax, TRUE      ; habilitamos boton
 
         no:
         mov ax, guardar_ax
         invoke SendDlgItemMessage, hDlg,              ;leer seccion seleccionada
                                    IDC_LISTBOX2,
                                    LB_GETCURSEL,
                                    0, 0
         cmp eax, LB_ERR
         jne texto
         jmp ya

texto:
         invoke SendDlgItemMessage, hDlg,
                                    IDC_LISTBOX2,
                                    LB_GETTEXT,
                                    eax,
                                    ADDR salida
         invoke lstrlen, ADDR salida     ;si hay cadena longitud?
         mov LONGITUD_BUSCAR, eax           ; colocamos el resultado en longitud_buscar 
         mov ebx,  2048          ; contador
         call buscar_sec
                    mov ecx, esi        ;ecx apunta a inicio seccion
                    push [ecx+8]          ;ecx apunta a tamao virtual
                    pop tv              ;guardamos
                    push [ecx+12]
                    pop dv              ;guardamos        

      mov ax, guardar_ax                             


         ;-----------------------
         ; MAPA
         ;-----------------------                                       
 ;   .elseif ax==IDC_UTILDATA                 
  ;      mov QUIEN_ME_USA, 2
   ;     invoke DialogBoxParam,hInst,IDD_MAPA,hDlg, offset DlgMapa, 0 ; llama al Mapa de memoria
    ;               invoke MessageBox, hDlg, ADDR seleccione, ADDR txt2 , MB_ICONERROR
         

         ;-----------------------
         ; Datos
         ;-----------------------                                       
    .if ax==IDC_DATOS
           mov QUIEN_ME_USA, 0  
           xor eax, eax
           mov edi, tv   
           mov ebx, dv
           add ebx, puntero_pro
     
mas_datos:  
           push ebx
           push edi
           mov ecx, [ebx]
           ror cx, 8
           ror ecx, 16
           ror cx, 8
           mov edx, [ebx+4]
           ror dx, 8
           ror edx, 16
           ror dx, 8                  
           mov esi, [ebx+8]
           ror si, 8
           ror esi, 16
           ror si, 8
           mov edi, [ebx+12]
           ror di, 8
           ror edi, 16
           ror di, 8
           .if QUIEN_ME_USA==0         
           add ebx, modu.base_modulo            ; sumamos a la direccion la base del modulo
           sub ebx, puntero_pro                 ; y restamos la base de la proyeccion
           .elseif QUIEN_ME_USA==2
           add ebx, blockdir
           sub ebx, puntero_prob
           .endif
           invoke wsprintf, ADDR cadena_salida,
                            ADDR datos,
                            ebx,
                            ecx,
                            edx,
                            esi,
                            edi               ;ebx es el primer parametro de la cadena
           .if QUIEN_ME_USA==0  
           add ebx, puntero_pro
           sub ebx, modu.base_modulo
           .elseif QUIEN_ME_USA==2
           add ebx, puntero_prob
           sub ebx, blockdir
           .endif
           mov edi, offset cadena_salida
           add edi, 43
           mov ecx, 16
           a1:
           mov al, byte ptr [ebx]

; CAMBIO
           .if al<31
           mov al, 46
           .endif
           mov byte ptr [edi], al
           inc edi
           inc ebx
           loop a1
         
           invoke SendDlgItemMessage, hDlg,
                                      IDC_LISTBOX3,
                                      LB_ADDSTRING,
                                      0,
                                      ADDR cadena_salida
         pop edi
         pop ebx                              
         add ebx, 16
         sub edi, 16
         cmp edi, 16
         jg mas_datos
         .if QUIEN_ME_USA==2                                 
            invoke GlobalFree, puntero_prob
         .endif    
