;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

construir_cadena:

          pop esi
          xor edx, edx
          mov ecx, num_bytes
                .if ecx==1
          mov dl, byte ptr [esi]
                .elseif ecx==2
                mov dx, word ptr [esi]
                ror dx, 8
                 .endif
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena
                            edx

                    jmp comprobar

;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

instruccion_sin_hacer:

        invoke lstrcpy, ADDR buffer,    ; copio la cadena
        ADDR xxdb
        jmp reduce_codigo_dos_bytes

;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


  salto:         xor eax, eax
                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 inc ecx                ;para leer el siguiente byte
                 mov al, byte ptr [ecx] ;lo cargamos en al
                 .if al >= 128           ;si es mayor salto patras
                     mov dl, 0ffh
                     sub dl, al
                     mov al, dl
                     dec al
                     sub ebx, eax       ;y restamos el byte
                     push direccion     ;guardamos y...
                     jmp construir_cadena1

                 .else
                    add ebx, num_bytes
                    add ebx, eax
                    push direccion
                    jmp construir_cadena1
                 .endif

construir_cadena1:
          pop esi
          xor edx, edx
          mov ecx, num_bytes
                .if ecx==1
          mov dl, byte ptr [esi]
                .else
                mov dx, word ptr [esi]
                ror dx, 8
                .endif
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
          add ebx, base_desen            ; sumamos a la direccion la base del modulo
          sub ebx, puntero_desen                 ; y restamos la base de la proyeccion
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena
                            edx,
                            ebx
                   jmp comprobar
                                        
;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

salto_mas_word_mas_dword:

                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 inc ecx                ;para leer el siguiente byte
                push dword ptr [ecx]
                pop monta
                xor eax, eax                  
                mov ax, word ptr [ecx]      ; cargamos los dos primeros bytes del dword          
                ror ax,8                    ; intercambiamos los dos primeros bytes
                ror eax,16                  ; y los colocamos al principio de eax
                mov montando, eax           ; guardamos el valor ROTADO en montando
                xor eax, eax                ; otra vez eax a cero
                mov ax, word ptr [ecx+2]    ; cogemos los dos bytes que quedan
                ror ax,8                    ; los rotamos y
                or montando, eax            ; se los pegamos a montando
                xor eax, eax
                mov ax, word ptr [ecx]+4
                xor edx, edx
                push eax
                pop edx
                ror ax, 8
                push direccion     ;guardamos y...                   
                pop esi                    
                add esi, base_desen            ; sumamos a la direccion la base del modulo
                sub esi, puntero_desen                 ; y restamos la base de la proyeccion

          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            montando,          ; segundo
                            eax,                ; tercero
                            edx,
                            monta

                   jmp comprobar

;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

dos_bytes_mas_dos_dword:	

                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 ADD ecx,2                ;para leer el siguiente byte
                push dword ptr [ecx]
                pop monta
                xor eax, eax                  
                mov ax, word ptr [ecx]      ; cargamos los dos primeros bytes del dword          
                ror ax,8                    ; intercambiamos los dos primeros bytes
                ror eax,16                  ; y los colocamos al principio de eax
                mov montando, eax           ; guardamos el valor ROTADO en montando
                xor eax, eax                ; otra vez eax a cero
                mov ax, word ptr [ecx+2]    ; cogemos los dos bytes que quedan
                ror ax,8                    ; los rotamos y
                or montando, eax            ; se los pegamos a montando
                xor eax, eax
                mov ax, word ptr [ecx]+4
                xor edx, edx
                push eax
                pop edx
                ror ax, 8
                push direccion     ;guardamos y...                   
                pop esi                    
                add esi, base_desen            ; sumamos a la direccion la base del modulo
                sub esi, puntero_desen                 ; y restamos la base de la proyeccion

          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            montando,          ; segundo
                            eax,                ; tercero
                            monta,
                            edx

                   jmp comprobar
;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
dos_bytes_mas_dword:

                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 xor eax, eax
                 mov ax, word ptr [ecx+2]
                 mov edx, dword ptr [ecx]
                 ror dx, 8
                 ror edx, 16
                 ror dx, 8
                 push direccion     ;guardamos y...
          pop esi    
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            edx,               ; segundo
                            eax             

                   jmp comprobar

;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
dos_mas_byte:

                    mov edx, 3
                    mov num_bytes, edx
                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 xor eax, eax
                 mov al, byte ptr [ecx+2]
                 push direccion     ;guardamos y...
                   
          pop esi    
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            eax,               ; segundo
                            eax             

                   jmp comprobar

;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

dos_mas_byte_mas_menos:

                    mov edx, 3
                    mov num_bytes, edx
                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 xor eax, eax
                 mov al, byte ptr [ecx+2]
                 push direccion     ;guardamos y...
                   
          pop esi    
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion

        .if al<=07FH
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            eax,               ; segundo
                            "+",
                            eax             
        .else
        mov edx, 256
        sub edx, eax
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            eax,               ; segundo
                            "-",
                            edx             
        .endif


                   jmp comprobar

;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

dos_bytes_mas_direccion:

                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 xor eax, eax                 
                 inc ecx                ;para leer el siguiente byte
                 push [ecx+1]
                 mov ax, word ptr [ecx-1] ;lo cargamos en ax
                 ror ax,8
                push eax                    
                xor eax, eax                ;eax a cero
                mov ax, word ptr [ecx+1]      ; cargamos los dos primeros bytes          
                ror ax,8                    ; intercambiamos los dos primeros bytes
                ror eax,16                  ; y los colocamos al principio de eax
                mov montando, eax           ; guardamos el valor en montando
                xor eax, eax                ; otra vez eax a cero
                mov ax, word ptr [ecx+3]    ; cogemos los dos bytes que quedan
                ror ax,8                    ; los rotamos y
                or montando, eax            ; se los pegamos a montando
                push direccion     ;guardamos y...
                   
          pop esi    
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
          pop edx
          pop ecx
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            edx,               ; segundo
                            montando,          ; tercero
                            ecx                ;cuarto                

                   jmp comprobar

;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

mas_direccion:

                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 xor eax, eax                 
                mov al, byte ptr [ecx] ;lo cargamos en al
                push eax                                    
                xor eax, eax                ;eax a cero
                inc ecx                ;para leer el siguiente byte
                push [ecx]
                mov ax, word ptr [ecx]      ; cargamos los dos primeros bytes          
                ror ax,8                    ; intercambiamos los dos primeros bytes
                ror eax,16                  ; y los colocamos al principio de eax
                mov montando, eax           ; guardamos el valor en montando
                xor eax, eax                ; otra vez eax a cero
                mov ax, word ptr [ecx+2]    ; cogemos los dos bytes que quedan
                ror ax,8                    ; los rotamos y
                or montando, eax            ; se los pegamos a montando
                push direccion     ;guardamos y...                   
                pop esi    
                add esi, base_desen            ; sumamos a la direccion la base del modulo
                sub esi, puntero_desen                 ; y restamos la base de la proyeccion
                pop ecx
                pop edx

                .if ecx > base_datos && ecx < tam_datos
                   pusha
                   add ecx, puntero_desen            ; sumamos a la direccion la base del modulo
                   sub ecx, base_desen                 ; y restamos la base de la proyeccion
                    .if byte ptr [ecx] >02Fh && byte ptr [ecx] < 07bh
                        pusha

                        invoke wsprintf, puntero_buffer,
                            ADDR referencia
                        mov ebx, puntero_buffer
                        add ebx, eax
                        mov puntero_buffer, ebx
                        popa
                        pusha

                        invoke wsprintf, puntero_buffer,
                            ecx
                        mov ebx, puntero_buffer
                        add ebx, eax
                        mov word ptr [ebx], 00000a0dH
                        add ebx, 2
                        mov puntero_buffer, ebx
                        popa
                     .endif
                   popa
                .endif            
              
      
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                                esi,               ;esi es el primer parametro de la cadena bien
                                edx,               ; segundo
                                montando,          ; tercero
                                ecx                ;cuarto                

                   jmp comprobar

;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

salto_mas_direccion:
      
                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
               .if num_bytes==6
                 inc ecx
               .endif
                 xor eax, eax                 
                 inc ecx                ;para leer el siguiente byte
                 push [ecx]
                 mov al, byte ptr [ecx-1] ;lo cargamos en al

               .if num_bytes==6
                 mov ax, word ptr [ecx-2]
                 ror ax, 8
               .endif
                push eax                    
                xor eax, eax                ;eax a cero
                mov ax, word ptr [ecx]      ; cargamos los dos primeros bytes          
                ror ax,8                    ; intercambiamos los dos primeros bytes
                ror eax,16                  ; y los colocamos al principio de eax
                mov montando, eax           ; guardamos el valor en montando
                xor eax, eax                ; otra vez eax a cero
                mov ax, word ptr [ecx+2]    ; cogemos los dos bytes que quedan
                ror ax,8                    ; los rotamos y
                or montando, eax            ; se los pegamos a montando
                push direccion     ;guardamos y...
                pop esi
                pop edx
                pop ecx

         
           .if byte ptr [esi] + 4 == 0 ; cuando es pa lante 
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
          add ecx, esi                
          add ecx, num_bytes
           .elseif byte ptr [esi] + 4 == 0ffh ;cuando es pa tras
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
           push esi            ;guardamos esi (direccion)
           mov si, 0ffffh      ;en ecx tenemos el desplazamiento
           sub si ,cx          ;le quitamos a ffff cx
           mov cx, si          ;el resultado a cx
           pop esi             ;recuperamos esi
           push esi            ;y lo volvemos a guardar
           sub si, cx          ;a la direccion le quitamos el desplazamiento
           add esi, num_bytes   ;sumamos el n de bytes
           dec esi              ;y decrementamos (si no no cuadra)
           mov ecx, esi        ;movemos a ecx para la construccion de cadena
           pop esi             ;recuperamos esi
           .endif    


          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena bien
                            edx,               ; segundo
                            montando,          ; tercero
                            ecx                ;cuarto                

                   jmp comprobar

;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


instruccion_mas_dos_bytes:


                 mov edx, 3
                 mov num_bytes, edx
                 xor eax, eax
                 mov direccion, ebx          ;actualizamos direccion
                 mov ecx, ebx                ;movemos el valor a ecx
                 mov al, byte ptr [ecx]      ; primer byte a mostrar
                 push eax                    ; lo subimos a la pila
                 pop edx                     ; y lo pasamos al segundo parametro
                 push direccion              ;guardamos y...
                 pop esi                     ; y la recuperamos en esi
                 xor ebx, ebx                ; ebx a cero    
                 mov bx, word ptr [ecx]+1    ;cargamos los dos bytes
                 push ebx                    ; los guardamos en la pila
                 pop ecx                     ; los sacamos al cuarto parametro
                 ror bx, 8                   ; rotamos los bytes y al tercer paramaetro
                 add esi, base_desen   ; sumamos a la direccion la base del modulo
                 sub esi, puntero_desen        ; y restamos la base de la proyeccion
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena
                            edx,
                            ebx,
                            ecx                ;ebx el segundo de la cadena                

                   jmp comprobar

;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


reduce_codigo_un_byte:

                    mov edx, 1
                    mov num_bytes, edx
                    xor eax, eax
                    mov direccion, ebx     ;actualizamos direccion
                    mov ecx, ebx           ;movemos el valor a ecx
                    push direccion
                    jmp construir_cadena 

;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
; instrucciones de un byte que dependen del segundo
;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
reduce_codigo_dos_bytes:

                    mov edx, 2
                    mov num_bytes, edx
                    xor eax, eax
                    mov direccion, ebx     ;actualizamos direccion
                    mov ecx, ebx           ;movemos el valor a ecx
                    push direccion
                    jmp construir_cadena 
;:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

salto_mas_un_byte:

                 mov edx, 2
                 mov num_bytes, edx
                 xor eax, eax
                 mov direccion, ebx     ;actualizamos direccion
                 mov ecx, ebx           ;movemos el valor a ecx
                 mov al, byte ptr [ecx]+1 ;lo cargamos en al
                 push direccion     ;guardamos y...
                   
          pop esi
          xor edx, edx
          mov dx, word ptr [esi]
          ror dx, 8
          
          add esi, base_desen            ; sumamos a la direccion la base del modulo
          sub esi, puntero_desen                 ; y restamos la base de la proyeccion
          mov ebx,eax  
          invoke wsprintf, puntero_buffer,
                            ADDR buffer,
                            esi,               ;esi es el primer parametro de la cadena
                            edx,
                            ebx 

comprobar:

                   mov ebx, puntero_buffer
                   add ebx, eax
                   mov puntero_buffer, ebx

                 mov ebx, direccion    ;restauramos la direccion
                 add ebx, num_bytes     ;con esto a la siguiente instruccion
                 sub edi, num_bytes
                 cmp edi, 0         ;es fin de modulo?
                 jg otro              ;si no, otra vez
                 invoke SetDlgItemText,hDlg,IDC_DES, puntero_buffer1
                 invoke GlobalFree, puntero_buffer1
                 .if QUIEN_ME_USA==1
                 invoke GlobalFree, puntero_prob
                 .endif

finis:

ret                 
DlgDepurador endp

; =========================================================================
; ZeroBuffer procedure: clean a buffer of 256 bytes size
;                       limpia un buffer de 256 bytes de tamao
; edi=pointer to buffer
;     puntero al buffer
; =========================================================================
ZeroBuffer:   push edi
	        xor eax, eax
              mov ecx, 40h
              rep stosd
              pop edi
              ret

; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
   
;=========================================================================
;Localizar el tamao y la base de la seccion de datos
;========================================================================
buscar_datos:
		           
                       mov  eax, puntero_pro ;direccion inicio proyeccion
                       add  eax, [eax+3Ch]   ;eax apunta al desplazamiento donde esta el encabezado PE
                               		   ;eax desplazamiento del encabezado PE
                       push dword ptr [eax+4+14h+8] ;Tamao datos inicializados
                       mov ecx, dword ptr [eax+4+14+18h] ; RVA de los datos
                       add ecx, puntero_pro ; modu.base_modulo	   ; Puntero a los datos
                       push ecx
                       pop base_datos
		       pop eax
                       add eax, ecx			   ; Puntero al final de los datos
                       push eax
                       pop tam_datos
                       ret
; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
   
;=========================================================================
;Localizar inicio tablas importacion
;========================================================================
inicio_import:	    ; push esi
		           mov  eax, puntero_pro ;direccion inicio proyeccion
                       add  eax, [eax+3Ch]   ;eax apunta al desplazamiento donde esta el encabezado PE
                               		   ;eax desplazamiento del encabezado PE
                       add  eax, 4+14h       ;final del PE y principio del encabezado opcional NT
                       add eax, 104
                       ret
; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
   
;=========================================================================
;Localizar inicio tablas del encabezado PE
;========================================================================
inicio_tablas:	     push esi
		           mov  eax, puntero_pro ;localizando 1 seccion, direccion inicio proyeccion
                       add  eax, [eax+3Ch]   ;eax apunta al desplazamiento donde esta el encabezado PE
                               		   ;eax desplazamiento del encabezado PE
                       add  eax, 4+14h+0E0h  ;obtenemos longitud del encabezado opcional NT
                       mov  ini_tablas, eax  ;tenemos el inicio de las secciones
                       mov  inicio_sec, eax
	                 pop  esi
                       ret    
; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

;=================================================================
;Comprobar tabla
;=================================================================

comprobar_tabla:
                     pusha
                     mov edx, inicio_sec                    
                     mov esi, offset tabla
                     mov ecx, 40
f0: 
           
                     mov bl, byte ptr [edx]
                     mov byte ptr [esi], bl
                     inc edx
                     inc esi
                     loop f0
                     mov ebx, offset tabla
                     mov ecx, dword ptr [ebx+8]
                     add ecx, dword ptr [ebx+12]
                     add ecx, modu.base_modulo
                     mov ebx, modu.base_modulo
                     add ebx, modu.tam_modulo
                     
                     .if (ecx > ebx) || (ecx <= modu.base_modulo)
                     popa
                     mov eax, 0
                     ret
                     .endif
                     popa

ok:
                     mov eax, inicio_sec
                     add eax, 40
                     mov inicio_sec, eax                
                     mov eax, 1
                     ret

; ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

;=================================================================
;Buscar secciones
;=================================================================
buscar_sec:
comenzamos:
             mov esi, inicio_sec               ; esi, direccion de inicio
             xor eax,eax
busca_inicio1:
             mov edi, offset salida  
             mov al, byte ptr [edi]    
             mov edx, LONGITUD_BUSCAR
         cmp al, byte ptr [esi]                   ;comparamos bytes
         je encontrado1
         inc esi
         dec ebx
         jmp busca_inicio1
         
encontrado1:
         push ebx                  ; guardamos contador
         push esi                  ; y direccion
seguimos1:
         inc edi                   ; siguiente byte de la cadena
         mov al, byte ptr [edi]    ; lo cargamos en al
         dec ebx
         inc esi
         dec edx
         test edx,edx
         jz encontrada1
         cmp al, byte ptr [esi]     ;comparamos bytes
         jne restaurar1
         jmp seguimos1
restaurar1:
         pop esi                         ;restauramos los valores del contador y direccion
         pop ebx
         add esi, 1                      ; sumamos 1 para seguir en la siguiente posicion
         sub ebx, 1
         mov edx, LONGITUD_BUSCAR
         jmp busca_inicio1
encontrada1:
          pop esi
          pop ebx
ret
; -------------------------------------------------------------------------
; #########################################################################
;  AddTreeParentItem procedure:
;  Add a parent item to the treeview control
;  Agrega un elemento padre al control treeview
;  	hTree: Treeview handle
;	pStr: address of the string
; #########################################################################
; -------------------------------------------------------------------------

AddTreeParentItem proc uses edx hTree:HWND, pStr:DWORD 
	local tvins:TV_INSERTSTRUCT

; ------------------------------------
; Fill the TV_INSERTSTRUCT structure
; Llenar la estructura TV_INSERTSTRUCT
; ------------------------------------
	mov tvins.item.imask, TVIF_TEXT
	mov tvins.hInsertAfter, TVI_ROOT
	mov tvins.hParent, 0
	push pStr
	pop tvins.item.pszText 
	invoke lstrlen, pStr
	mov tvins.item.cchTextMax, eax
; ---------------------------------
; Insert the parent item
; Insertar el elemento padre
; ---------------------------------
	invoke SendMessage, hTree, TVM_INSERTITEM, 0, addr tvins
	ret
AddTreeParentItem endp
; -------------------------------------------------------------------------
; #########################################################################
;  AddTreeChildItem procedure:
;  Add a child item to the treeview control
;  Agrega u elemento hijo a un control treeview
;  	hTree: Treeview handle
;       hParent: parent item handle
;  	iSI: child item index
;	pStr: address of the string
; #########################################################################
; -------------------------------------------------------------------------

AddTreeChildItem proc uses edx hTree:HWND, hParent:DWORD, iSI:DWORD, pStr:DWORD 
	local tvins:TV_INSERTSTRUCT

; ------------------------------------
; Fill the TV_INSERTSTRUCT structure
; Llenar la estructura TV_INSERTSTRUCT
; ------------------------------------
	mov tvins.item.imask, TVIF_TEXT
        mov tvins.hInsertAfter, TVI_SORT
	push hParent
	pop tvins.hParent
	push pStr
        pop tvins.item.pszText
	invoke lstrlen, pStr
	mov tvins.item.cchTextMax, eax
; -----------------------------------
; Insert the child items
; Insertar los elementos hijos
; -----------------------------------
       invoke SendMessage, hTree, TVM_INSERTITEM, 0, addr tvins
       ret
AddTreeChildItem endp


; -------------------------------------------------------------------------
; #########################################################################
end start


